import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import ReactDOM from 'react-dom/client';
import { TheDefiEngineApp } from './TheDefiEngineApp';
/**
 * This is the entry point to initiate the TheDefiEngine Widget from a < script > based (non-modular) project
 * If you use a modular based React project, you should use TheDefiEngineApp instead.
 * @param rootElementId The id of the element to render the app into
 * @param configOptions The configuration options for the thedefiengine widget
 * @example
 * ```html
 * <script src="todo.js"></>
 * <script> window.onload = () => InitTheDefiEngineApp("thedefiengine-root", config) </script>
 * ...
 * <div id="thedefiengine-root"></div>
 * ...
 *  ```
 */
export const InitTheDefiEngineApp = (rootElementId, configOptions) => {
    const root = ReactDOM.createRoot(document.getElementById(rootElementId));
    root.render(_jsx(React.StrictMode, { children: _jsx(TheDefiEngineApp, Object.assign({}, configOptions)) }));
};
//# sourceMappingURL=InitTheDefiEngineApp.js.map