# TheDefiEngine Widget

The TheDefiEngine White Label is a customizable swap widget that uses the TheDefiEngine API. Whether you are using plain HTML, vanilla, or modular projects such as React, the TheDefiEngine White Label gives you access to a fully functional DeFi aggregator in your website with few lines of code, including a powerful API aggregating multiple liquidity sources, smart contracts and a fully customizable UI—all for free.
In this guide, we walk you through adding the code to your website or dApp. We also show you how to customize the code to make it match your brand's style and even collect affiliate fees when your community uses the widget to swap.

## Docs

- [Documentations](https://docs.thedefiengine.tech/category/whitelabel-exchange)

- [Storybook Playground](https://storybook.thedefiengine.tech/)

## Demo

- [Using in React](https://codesandbox.io/p/sandbox/nostalgic-driscoll-kqvjpr?file=%2Fsrc%2FApp.js%3A1%2C1-44%2C1)
- [Using in Browser with Script Tag](https://codesandbox.io/p/sandbox/compassionate-cannon-8vp59y?file=%2Findex.html%3A20%2C12)

## Installing

**NPM**

```
npm i @thedefiengine/widget
```

**Yarn**

```
yarn add @thedefiengine/widget
```

**Browser**

```
<script src="https://cdn.jsdelivr.net/npm/@thedefiengine/widget@latest/bundles/thedefiengine.min.js" type="text/javascript">
</script>
```

**React**

Check out the [React SDK](https://www.npmjs.com/package/@thedefiengine/widget-react)

## Font

By default we use Roboto font. Include following font stylesheet or install using `@fontsource/roboto`

```
<link href='https://fonts.googleapis.com/css?family=Roboto:300,400,500' rel='stylesheet' type='text/css'>
```
