import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { SwapCard } from './components/Swap/SwapCard';
import { TheDefiEngineAppProvider } from './TheDefiEngineProvider';
import { SwapRouteCard } from './components/SwapRoute/SwapRouteCard';
import { Stack } from '@mui/material';
import { PriceComparisonCard } from './components/PriceComparison/PriceComparisonCard';
import { TokenInfoCard } from './components/TokenInfo/TokenInfoCard';
/**
 * This is a quick way to get a TheDefiEngine Widget up and running in a modular based project. You can use it like regular React component
 * Note that if you are using a <script> based project, you should use InitTheDefiEngineApp instead.
 * @param configOptions The configuration options for the thedefiengine widget
 *
 * @example
 * ```jsx
 * export const App = () => <TheDefiEngineApp config={config} />
 * ```
 */
export const TheDefiEngineApp = React.memo((config) => {
    return (_jsx(TheDefiEngineAppProvider, Object.assign({}, config, { children: config.showPriceComparisonCard || config.showSwapRouteCard || config.showTokenInfoCard ? (_jsxs(Stack, { width: "100%", alignItems: "center", spacing: 2, children: [_jsxs(Stack, { width: "100%", justifyContent: "center", alignItems: {
                        xs: 'center',
                        md: 'stretch',
                    }, direction: { xs: 'column', md: 'row' }, spacing: 2, children: [_jsx(SwapCard, {}), config.showTokenInfoCard && _jsx(TokenInfoCard, {})] }), config.showSwapRouteCard && _jsx(SwapRouteCard, {}), config.showPriceComparisonCard && _jsx(PriceComparisonCard, {})] })) : (_jsx(SwapCard, {})) })));
});
//# sourceMappingURL=TheDefiEngineApp.js.map