var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import BigNumber from 'bignumber.js';
import { ConfigProvider } from './providers/ConfigProviders';
import { makeClient, WagmiProvider } from './wagmiUtil';
import { ToastContainer } from 'react-toastify';
import { useAuth } from './hooks/useAuth';
import { QueryClientProvider } from '@tanstack/react-query';
import { queryClient } from './utils/queryClient';
import { Buffer } from 'buffer';
import { useAccountEventListener } from './hooks/useAccountEventListener';
import { ModalContextProvider } from './providers/ModalContextProvider';
import { CustomThemeProvider } from './providers/CustomThemeProvider';
import { SwapStateProvider } from './providers/SwapStateProvider';
import { PinnedTokenProvider } from './providers/PinnedTokenProvider';
import { SlippageProvider } from './providers/SlippageProvider';
import { TransactionProvider } from './providers/TransactionProvider';
import { OverrideProvider } from './providers/OverrideProvider';
import { Portal } from '@mui/base';
import ErrorBoundary from './providers/ErrorBoundary';
import { SolanaProvider } from './providers/SolanaProvider';
import { AggregatorQuoteParamsProvider } from './providers/AggregatorQuoteParamsProvider';
import { GasConfigProvider } from './providers/GasConfigProvider';
if (typeof window !== 'undefined') {
    window.Buffer = Buffer;
}
BigNumber.config({
    EXPONENTIAL_AT: 1000,
    DECIMAL_PLACES: 80,
});
const defaultOptions = {};
const AutoWalletConnector = () => {
    const { login, chainId, isReady } = useAuth();
    const connectedRef = React.useRef(false);
    React.useEffect(() => {
        if (chainId && !connectedRef.current && isReady) {
            connectedRef.current = true;
            login(undefined, false);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [chainId, isReady]);
    return null;
};
const GlobalHooks = () => {
    useAccountEventListener();
    return null;
};
/**
 * This contains all the providers that are needed for the thedefiengine components and hooks to work. Add it to the root of your app.
 * You can then import SwapCard to render the exchange widget or import any other hooks or components you need.
 *
 * @param props ConfigOptions & React.PropsWithChildren
 * @example
 * ```jsx
 * // app.jsx or index.js
 *
 * <TheDefiEngineAppProvider config={config}>
 *    // others children
 * </TheDefiEngineAppProvider>
 * ```
 */
export const TheDefiEngineAppProvider = (_a) => {
    var { children, enableDarkMode, defaultPinnedTokens, overrides } = _a, config = __rest(_a, ["children", "enableDarkMode", "defaultPinnedTokens", "overrides"]);
    const myConfig = config || defaultOptions;
    const { wagmiClient } = React.useMemo(makeClient, []);
    return (_jsx(ErrorBoundary, { disabled: myConfig.disableErrorBoundary, children: _jsx(OverrideProvider, Object.assign({}, overrides, { children: _jsx(CustomThemeProvider, Object.assign({}, config, { enableDarkMode: enableDarkMode, children: _jsx(ConfigProvider, { options: myConfig, children: _jsx(SolanaProvider, { children: _jsx(QueryClientProvider, { client: queryClient, children: _jsx(WagmiProvider, { client: wagmiClient, children: _jsx(SwapStateProvider, { children: _jsx(PinnedTokenProvider, { defaultPinnedTokens: defaultPinnedTokens, children: _jsx(GasConfigProvider, { children: _jsx(SlippageProvider, { children: _jsx(TransactionProvider, { children: _jsx(AggregatorQuoteParamsProvider, { children: _jsxs(ModalContextProvider, { children: [!myConfig.disabledAutoConnect && _jsx(AutoWalletConnector, {}), _jsx(GlobalHooks, {}), _jsx(Portal, { children: _jsx(ToastContainer, Object.assign({ limit: 3, theme: enableDarkMode ? 'dark' : 'light' }, overrides === null || overrides === void 0 ? void 0 : overrides.ToastContainer)) }), children] }) }) }) }) }) }) }) }) }) }) }) })) })) }));
};
//# sourceMappingURL=TheDefiEngineProvider.js.map