import { BaseContract, BigNumber, BigNumberish, BytesLike, CallOverrides, ContractTransaction, Overrides, PayableOverrides, PopulatedTransaction, Signer, utils } from "ethers";
import { FunctionFragment, Result, EventFragment } from "@ethersproject/abi";
import { Listener, Provider } from "@ethersproject/providers";
import { TypedEventFilter, TypedEvent, TypedListener, OnEvent } from "./common";
export interface PairInterface extends utils.Interface {
    functions: {
        "DOMAIN_SEPARATOR()": FunctionFragment;
        "Dev()": FunctionFragment;
        "GoldenGate()": FunctionFragment;
        "MINIMUM_LIQUIDITY()": FunctionFragment;
        "PERMIT_TYPEHASH()": FunctionFragment;
        "accumulativeDividendOf(address)": FunctionFragment;
        "allowance(address,address)": FunctionFragment;
        "approve(address,uint256)": FunctionFragment;
        "availableRewards()": FunctionFragment;
        "availableRewardsOf(address)": FunctionFragment;
        "balanceOf(address)": FunctionFragment;
        "burn(address)": FunctionFragment;
        "coolingPeriod()": FunctionFragment;
        "decimals()": FunctionFragment;
        "distributeDividends(uint256)": FunctionFragment;
        "factory()": FunctionFragment;
        "getReserves()": FunctionFragment;
        "initialize(address,address,uint256,address)": FunctionFragment;
        "kLast()": FunctionFragment;
        "lastReward()": FunctionFragment;
        "magnifiedDividendCorrections(address)": FunctionFragment;
        "magnifiedDividendPerShare()": FunctionFragment;
        "mint(address)": FunctionFragment;
        "name()": FunctionFragment;
        "nonces(address)": FunctionFragment;
        "permit(address,address,uint256,uint256,uint8,bytes32,bytes32)": FunctionFragment;
        "price0CumulativeLast()": FunctionFragment;
        "price1CumulativeLast()": FunctionFragment;
        "rewardDebt(address)": FunctionFragment;
        "setDev(address)": FunctionFragment;
        "skim(address)": FunctionFragment;
        "swap(uint256,uint256,address,bytes)": FunctionFragment;
        "symbol()": FunctionFragment;
        "sync()": FunctionFragment;
        "token0()": FunctionFragment;
        "token1()": FunctionFragment;
        "totalSupply()": FunctionFragment;
        "transfer(address,uint256)": FunctionFragment;
        "transferFrom(address,address,uint256)": FunctionFragment;
        "withdraw()": FunctionFragment;
        "withdrawSpecial(address,address)": FunctionFragment;
    };
    encodeFunctionData(functionFragment: "DOMAIN_SEPARATOR", values?: undefined): string;
    encodeFunctionData(functionFragment: "Dev", values?: undefined): string;
    encodeFunctionData(functionFragment: "GoldenGate", values?: undefined): string;
    encodeFunctionData(functionFragment: "MINIMUM_LIQUIDITY", values?: undefined): string;
    encodeFunctionData(functionFragment: "PERMIT_TYPEHASH", values?: undefined): string;
    encodeFunctionData(functionFragment: "accumulativeDividendOf", values: [string]): string;
    encodeFunctionData(functionFragment: "allowance", values: [string, string]): string;
    encodeFunctionData(functionFragment: "approve", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "availableRewards", values?: undefined): string;
    encodeFunctionData(functionFragment: "availableRewardsOf", values: [string]): string;
    encodeFunctionData(functionFragment: "balanceOf", values: [string]): string;
    encodeFunctionData(functionFragment: "burn", values: [string]): string;
    encodeFunctionData(functionFragment: "coolingPeriod", values?: undefined): string;
    encodeFunctionData(functionFragment: "decimals", values?: undefined): string;
    encodeFunctionData(functionFragment: "distributeDividends", values: [BigNumberish]): string;
    encodeFunctionData(functionFragment: "factory", values?: undefined): string;
    encodeFunctionData(functionFragment: "getReserves", values?: undefined): string;
    encodeFunctionData(functionFragment: "initialize", values: [string, string, BigNumberish, string]): string;
    encodeFunctionData(functionFragment: "kLast", values?: undefined): string;
    encodeFunctionData(functionFragment: "lastReward", values?: undefined): string;
    encodeFunctionData(functionFragment: "magnifiedDividendCorrections", values: [string]): string;
    encodeFunctionData(functionFragment: "magnifiedDividendPerShare", values?: undefined): string;
    encodeFunctionData(functionFragment: "mint", values: [string]): string;
    encodeFunctionData(functionFragment: "name", values?: undefined): string;
    encodeFunctionData(functionFragment: "nonces", values: [string]): string;
    encodeFunctionData(functionFragment: "permit", values: [
        string,
        string,
        BigNumberish,
        BigNumberish,
        BigNumberish,
        BytesLike,
        BytesLike
    ]): string;
    encodeFunctionData(functionFragment: "price0CumulativeLast", values?: undefined): string;
    encodeFunctionData(functionFragment: "price1CumulativeLast", values?: undefined): string;
    encodeFunctionData(functionFragment: "rewardDebt", values: [string]): string;
    encodeFunctionData(functionFragment: "setDev", values: [string]): string;
    encodeFunctionData(functionFragment: "skim", values: [string]): string;
    encodeFunctionData(functionFragment: "swap", values: [BigNumberish, BigNumberish, string, BytesLike]): string;
    encodeFunctionData(functionFragment: "symbol", values?: undefined): string;
    encodeFunctionData(functionFragment: "sync", values?: undefined): string;
    encodeFunctionData(functionFragment: "token0", values?: undefined): string;
    encodeFunctionData(functionFragment: "token1", values?: undefined): string;
    encodeFunctionData(functionFragment: "totalSupply", values?: undefined): string;
    encodeFunctionData(functionFragment: "transfer", values: [string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "transferFrom", values: [string, string, BigNumberish]): string;
    encodeFunctionData(functionFragment: "withdraw", values?: undefined): string;
    encodeFunctionData(functionFragment: "withdrawSpecial", values: [string, string]): string;
    decodeFunctionResult(functionFragment: "DOMAIN_SEPARATOR", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "Dev", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "GoldenGate", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "MINIMUM_LIQUIDITY", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "PERMIT_TYPEHASH", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "accumulativeDividendOf", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "allowance", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "approve", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "availableRewards", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "availableRewardsOf", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "balanceOf", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "burn", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "coolingPeriod", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "decimals", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "distributeDividends", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "factory", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "getReserves", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "initialize", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "kLast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "lastReward", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "magnifiedDividendCorrections", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "magnifiedDividendPerShare", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "mint", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "name", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "nonces", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "permit", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "price0CumulativeLast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "price1CumulativeLast", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "rewardDebt", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "setDev", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "skim", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "swap", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "symbol", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "sync", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "token0", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "token1", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "totalSupply", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transfer", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "transferFrom", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdraw", data: BytesLike): Result;
    decodeFunctionResult(functionFragment: "withdrawSpecial", data: BytesLike): Result;
    events: {
        "Approval(address,address,uint256)": EventFragment;
        "Burn(address,uint256,uint256,address)": EventFragment;
        "Mint(address,uint256,uint256)": EventFragment;
        "Swap(address,uint256,uint256,uint256,uint256,address)": EventFragment;
        "Sync(uint112,uint112)": EventFragment;
        "Transfer(address,address,uint256)": EventFragment;
    };
    getEvent(nameOrSignatureOrTopic: "Approval"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Burn"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Mint"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Swap"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Sync"): EventFragment;
    getEvent(nameOrSignatureOrTopic: "Transfer"): EventFragment;
}
export type ApprovalEvent = TypedEvent<[
    string,
    string,
    BigNumber
], {
    owner: string;
    spender: string;
    value: BigNumber;
}>;
export type ApprovalEventFilter = TypedEventFilter<ApprovalEvent>;
export type BurnEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    string
], {
    sender: string;
    amount0: BigNumber;
    amount1: BigNumber;
    to: string;
}>;
export type BurnEventFilter = TypedEventFilter<BurnEvent>;
export type MintEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber
], {
    sender: string;
    amount0: BigNumber;
    amount1: BigNumber;
}>;
export type MintEventFilter = TypedEventFilter<MintEvent>;
export type SwapEvent = TypedEvent<[
    string,
    BigNumber,
    BigNumber,
    BigNumber,
    BigNumber,
    string
], {
    sender: string;
    amount0In: BigNumber;
    amount1In: BigNumber;
    amount0Out: BigNumber;
    amount1Out: BigNumber;
    to: string;
}>;
export type SwapEventFilter = TypedEventFilter<SwapEvent>;
export type SyncEvent = TypedEvent<[
    BigNumber,
    BigNumber
], {
    reserve0: BigNumber;
    reserve1: BigNumber;
}>;
export type SyncEventFilter = TypedEventFilter<SyncEvent>;
export type TransferEvent = TypedEvent<[
    string,
    string,
    BigNumber
], {
    from: string;
    to: string;
    value: BigNumber;
}>;
export type TransferEventFilter = TypedEventFilter<TransferEvent>;
export interface Pair extends BaseContract {
    connect(signerOrProvider: Signer | Provider | string): this;
    attach(addressOrName: string): this;
    deployed(): Promise<this>;
    interface: PairInterface;
    queryFilter<TEvent extends TypedEvent>(event: TypedEventFilter<TEvent>, fromBlockOrBlockhash?: string | number | undefined, toBlock?: string | number | undefined): Promise<Array<TEvent>>;
    listeners<TEvent extends TypedEvent>(eventFilter?: TypedEventFilter<TEvent>): Array<TypedListener<TEvent>>;
    listeners(eventName?: string): Array<Listener>;
    removeAllListeners<TEvent extends TypedEvent>(eventFilter: TypedEventFilter<TEvent>): this;
    removeAllListeners(eventName?: string): this;
    off: OnEvent<this>;
    on: OnEvent<this>;
    once: OnEvent<this>;
    removeListener: OnEvent<this>;
    functions: {
        DOMAIN_SEPARATOR(overrides?: CallOverrides): Promise<[string]>;
        Dev(overrides?: CallOverrides): Promise<[string]>;
        GoldenGate(overrides?: CallOverrides): Promise<[string]>;
        MINIMUM_LIQUIDITY(overrides?: CallOverrides): Promise<[BigNumber]>;
        PERMIT_TYPEHASH(overrides?: CallOverrides): Promise<[string]>;
        accumulativeDividendOf(_owner: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        allowance(arg0: string, arg1: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        approve(spender: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        availableRewards(overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            amount: BigNumber;
            paid: BigNumber;
        }>;
        availableRewardsOf(to: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            amount: BigNumber;
            paid: BigNumber;
        }>;
        balanceOf(arg0: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        burn(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        coolingPeriod(overrides?: CallOverrides): Promise<[BigNumber]>;
        decimals(overrides?: CallOverrides): Promise<[number]>;
        distributeDividends(amount: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        factory(overrides?: CallOverrides): Promise<[string]>;
        getReserves(overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            number
        ] & {
            _reserve0: BigNumber;
            _reserve1: BigNumber;
            _blockTimestampLast: number;
        }>;
        initialize(_token0: string, _token1: string, _tradingStart: BigNumberish, _gate: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        kLast(overrides?: CallOverrides): Promise<[BigNumber]>;
        lastReward(overrides?: CallOverrides): Promise<[BigNumber]>;
        magnifiedDividendCorrections(arg0: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        magnifiedDividendPerShare(overrides?: CallOverrides): Promise<[BigNumber]>;
        mint(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        name(overrides?: CallOverrides): Promise<[string]>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        permit(owner: string, spender: string, value: BigNumberish, deadline: BigNumberish, v: BigNumberish, r: BytesLike, s: BytesLike, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        price0CumulativeLast(overrides?: CallOverrides): Promise<[BigNumber]>;
        price1CumulativeLast(overrides?: CallOverrides): Promise<[BigNumber]>;
        rewardDebt(arg0: string, overrides?: CallOverrides): Promise<[BigNumber]>;
        setDev(_dev: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        skim(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        swap(amount0Out: BigNumberish, amount1Out: BigNumberish, to: string, data: BytesLike, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        symbol(overrides?: CallOverrides): Promise<[string]>;
        sync(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        token0(overrides?: CallOverrides): Promise<[string]>;
        token1(overrides?: CallOverrides): Promise<[string]>;
        totalSupply(overrides?: CallOverrides): Promise<[BigNumber]>;
        transfer(to: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        transferFrom(from: string, to: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdraw(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
        withdrawSpecial(_from: string, _to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<ContractTransaction>;
    };
    DOMAIN_SEPARATOR(overrides?: CallOverrides): Promise<string>;
    Dev(overrides?: CallOverrides): Promise<string>;
    GoldenGate(overrides?: CallOverrides): Promise<string>;
    MINIMUM_LIQUIDITY(overrides?: CallOverrides): Promise<BigNumber>;
    PERMIT_TYPEHASH(overrides?: CallOverrides): Promise<string>;
    accumulativeDividendOf(_owner: string, overrides?: CallOverrides): Promise<BigNumber>;
    allowance(arg0: string, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
    approve(spender: string, value: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    availableRewards(overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
        amount: BigNumber;
        paid: BigNumber;
    }>;
    availableRewardsOf(to: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
        amount: BigNumber;
        paid: BigNumber;
    }>;
    balanceOf(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
    burn(to: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    coolingPeriod(overrides?: CallOverrides): Promise<BigNumber>;
    decimals(overrides?: CallOverrides): Promise<number>;
    distributeDividends(amount: BigNumberish, overrides?: PayableOverrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    factory(overrides?: CallOverrides): Promise<string>;
    getReserves(overrides?: CallOverrides): Promise<[
        BigNumber,
        BigNumber,
        number
    ] & {
        _reserve0: BigNumber;
        _reserve1: BigNumber;
        _blockTimestampLast: number;
    }>;
    initialize(_token0: string, _token1: string, _tradingStart: BigNumberish, _gate: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    kLast(overrides?: CallOverrides): Promise<BigNumber>;
    lastReward(overrides?: CallOverrides): Promise<BigNumber>;
    magnifiedDividendCorrections(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
    magnifiedDividendPerShare(overrides?: CallOverrides): Promise<BigNumber>;
    mint(to: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    name(overrides?: CallOverrides): Promise<string>;
    nonces(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
    permit(owner: string, spender: string, value: BigNumberish, deadline: BigNumberish, v: BigNumberish, r: BytesLike, s: BytesLike, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    price0CumulativeLast(overrides?: CallOverrides): Promise<BigNumber>;
    price1CumulativeLast(overrides?: CallOverrides): Promise<BigNumber>;
    rewardDebt(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
    setDev(_dev: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    skim(to: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    swap(amount0Out: BigNumberish, amount1Out: BigNumberish, to: string, data: BytesLike, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    symbol(overrides?: CallOverrides): Promise<string>;
    sync(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    token0(overrides?: CallOverrides): Promise<string>;
    token1(overrides?: CallOverrides): Promise<string>;
    totalSupply(overrides?: CallOverrides): Promise<BigNumber>;
    transfer(to: string, value: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    transferFrom(from: string, to: string, value: BigNumberish, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdraw(overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    withdrawSpecial(_from: string, _to: string, overrides?: Overrides & {
        from?: string | Promise<string>;
    }): Promise<ContractTransaction>;
    callStatic: {
        DOMAIN_SEPARATOR(overrides?: CallOverrides): Promise<string>;
        Dev(overrides?: CallOverrides): Promise<string>;
        GoldenGate(overrides?: CallOverrides): Promise<string>;
        MINIMUM_LIQUIDITY(overrides?: CallOverrides): Promise<BigNumber>;
        PERMIT_TYPEHASH(overrides?: CallOverrides): Promise<string>;
        accumulativeDividendOf(_owner: string, overrides?: CallOverrides): Promise<BigNumber>;
        allowance(arg0: string, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        approve(spender: string, value: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        availableRewards(overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            amount: BigNumber;
            paid: BigNumber;
        }>;
        availableRewardsOf(to: string, overrides?: CallOverrides): Promise<[BigNumber, BigNumber] & {
            amount: BigNumber;
            paid: BigNumber;
        }>;
        balanceOf(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        burn(to: string, overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber
        ] & {
            amount0: BigNumber;
            amount1: BigNumber;
        }>;
        coolingPeriod(overrides?: CallOverrides): Promise<BigNumber>;
        decimals(overrides?: CallOverrides): Promise<number>;
        distributeDividends(amount: BigNumberish, overrides?: CallOverrides): Promise<void>;
        factory(overrides?: CallOverrides): Promise<string>;
        getReserves(overrides?: CallOverrides): Promise<[
            BigNumber,
            BigNumber,
            number
        ] & {
            _reserve0: BigNumber;
            _reserve1: BigNumber;
            _blockTimestampLast: number;
        }>;
        initialize(_token0: string, _token1: string, _tradingStart: BigNumberish, _gate: string, overrides?: CallOverrides): Promise<void>;
        kLast(overrides?: CallOverrides): Promise<BigNumber>;
        lastReward(overrides?: CallOverrides): Promise<BigNumber>;
        magnifiedDividendCorrections(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        magnifiedDividendPerShare(overrides?: CallOverrides): Promise<BigNumber>;
        mint(to: string, overrides?: CallOverrides): Promise<BigNumber>;
        name(overrides?: CallOverrides): Promise<string>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        permit(owner: string, spender: string, value: BigNumberish, deadline: BigNumberish, v: BigNumberish, r: BytesLike, s: BytesLike, overrides?: CallOverrides): Promise<void>;
        price0CumulativeLast(overrides?: CallOverrides): Promise<BigNumber>;
        price1CumulativeLast(overrides?: CallOverrides): Promise<BigNumber>;
        rewardDebt(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        setDev(_dev: string, overrides?: CallOverrides): Promise<void>;
        skim(to: string, overrides?: CallOverrides): Promise<void>;
        swap(amount0Out: BigNumberish, amount1Out: BigNumberish, to: string, data: BytesLike, overrides?: CallOverrides): Promise<void>;
        symbol(overrides?: CallOverrides): Promise<string>;
        sync(overrides?: CallOverrides): Promise<void>;
        token0(overrides?: CallOverrides): Promise<string>;
        token1(overrides?: CallOverrides): Promise<string>;
        totalSupply(overrides?: CallOverrides): Promise<BigNumber>;
        transfer(to: string, value: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        transferFrom(from: string, to: string, value: BigNumberish, overrides?: CallOverrides): Promise<boolean>;
        withdraw(overrides?: CallOverrides): Promise<void>;
        withdrawSpecial(_from: string, _to: string, overrides?: CallOverrides): Promise<void>;
    };
    filters: {
        "Approval(address,address,uint256)"(owner?: string | null, spender?: string | null, value?: null): ApprovalEventFilter;
        Approval(owner?: string | null, spender?: string | null, value?: null): ApprovalEventFilter;
        "Burn(address,uint256,uint256,address)"(sender?: string | null, amount0?: null, amount1?: null, to?: string | null): BurnEventFilter;
        Burn(sender?: string | null, amount0?: null, amount1?: null, to?: string | null): BurnEventFilter;
        "Mint(address,uint256,uint256)"(sender?: string | null, amount0?: null, amount1?: null): MintEventFilter;
        Mint(sender?: string | null, amount0?: null, amount1?: null): MintEventFilter;
        "Swap(address,uint256,uint256,uint256,uint256,address)"(sender?: string | null, amount0In?: null, amount1In?: null, amount0Out?: null, amount1Out?: null, to?: string | null): SwapEventFilter;
        Swap(sender?: string | null, amount0In?: null, amount1In?: null, amount0Out?: null, amount1Out?: null, to?: string | null): SwapEventFilter;
        "Sync(uint112,uint112)"(reserve0?: null, reserve1?: null): SyncEventFilter;
        Sync(reserve0?: null, reserve1?: null): SyncEventFilter;
        "Transfer(address,address,uint256)"(from?: string | null, to?: string | null, value?: null): TransferEventFilter;
        Transfer(from?: string | null, to?: string | null, value?: null): TransferEventFilter;
    };
    estimateGas: {
        DOMAIN_SEPARATOR(overrides?: CallOverrides): Promise<BigNumber>;
        Dev(overrides?: CallOverrides): Promise<BigNumber>;
        GoldenGate(overrides?: CallOverrides): Promise<BigNumber>;
        MINIMUM_LIQUIDITY(overrides?: CallOverrides): Promise<BigNumber>;
        PERMIT_TYPEHASH(overrides?: CallOverrides): Promise<BigNumber>;
        accumulativeDividendOf(_owner: string, overrides?: CallOverrides): Promise<BigNumber>;
        allowance(arg0: string, arg1: string, overrides?: CallOverrides): Promise<BigNumber>;
        approve(spender: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        availableRewards(overrides?: CallOverrides): Promise<BigNumber>;
        availableRewardsOf(to: string, overrides?: CallOverrides): Promise<BigNumber>;
        balanceOf(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        burn(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        coolingPeriod(overrides?: CallOverrides): Promise<BigNumber>;
        decimals(overrides?: CallOverrides): Promise<BigNumber>;
        distributeDividends(amount: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        factory(overrides?: CallOverrides): Promise<BigNumber>;
        getReserves(overrides?: CallOverrides): Promise<BigNumber>;
        initialize(_token0: string, _token1: string, _tradingStart: BigNumberish, _gate: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        kLast(overrides?: CallOverrides): Promise<BigNumber>;
        lastReward(overrides?: CallOverrides): Promise<BigNumber>;
        magnifiedDividendCorrections(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        magnifiedDividendPerShare(overrides?: CallOverrides): Promise<BigNumber>;
        mint(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        name(overrides?: CallOverrides): Promise<BigNumber>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        permit(owner: string, spender: string, value: BigNumberish, deadline: BigNumberish, v: BigNumberish, r: BytesLike, s: BytesLike, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        price0CumulativeLast(overrides?: CallOverrides): Promise<BigNumber>;
        price1CumulativeLast(overrides?: CallOverrides): Promise<BigNumber>;
        rewardDebt(arg0: string, overrides?: CallOverrides): Promise<BigNumber>;
        setDev(_dev: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        skim(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        swap(amount0Out: BigNumberish, amount1Out: BigNumberish, to: string, data: BytesLike, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        symbol(overrides?: CallOverrides): Promise<BigNumber>;
        sync(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        token0(overrides?: CallOverrides): Promise<BigNumber>;
        token1(overrides?: CallOverrides): Promise<BigNumber>;
        totalSupply(overrides?: CallOverrides): Promise<BigNumber>;
        transfer(to: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        transferFrom(from: string, to: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdraw(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
        withdrawSpecial(_from: string, _to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<BigNumber>;
    };
    populateTransaction: {
        DOMAIN_SEPARATOR(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        Dev(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        GoldenGate(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        MINIMUM_LIQUIDITY(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        PERMIT_TYPEHASH(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        accumulativeDividendOf(_owner: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        allowance(arg0: string, arg1: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        approve(spender: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        availableRewards(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        availableRewardsOf(to: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        balanceOf(arg0: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        burn(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        coolingPeriod(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        decimals(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        distributeDividends(amount: BigNumberish, overrides?: PayableOverrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        factory(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        getReserves(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        initialize(_token0: string, _token1: string, _tradingStart: BigNumberish, _gate: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        kLast(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        lastReward(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        magnifiedDividendCorrections(arg0: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        magnifiedDividendPerShare(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        mint(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        name(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        nonces(arg0: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        permit(owner: string, spender: string, value: BigNumberish, deadline: BigNumberish, v: BigNumberish, r: BytesLike, s: BytesLike, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        price0CumulativeLast(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        price1CumulativeLast(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        rewardDebt(arg0: string, overrides?: CallOverrides): Promise<PopulatedTransaction>;
        setDev(_dev: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        skim(to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        swap(amount0Out: BigNumberish, amount1Out: BigNumberish, to: string, data: BytesLike, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        symbol(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        sync(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        token0(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        token1(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        totalSupply(overrides?: CallOverrides): Promise<PopulatedTransaction>;
        transfer(to: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        transferFrom(from: string, to: string, value: BigNumberish, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdraw(overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
        withdrawSpecial(_from: string, _to: string, overrides?: Overrides & {
            from?: string | Promise<string>;
        }): Promise<PopulatedTransaction>;
    };
}
//# sourceMappingURL=Pair.d.ts.map