var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import qs from 'qs';
import { aggregatorApiUrl } from '../utils/constants';
export const fetchQuote = (params, signal) => __awaiter(void 0, void 0, void 0, function* () {
    if (params.wrapOrUnWrap) {
        return wrapUnwrapQuote(params);
    }
    return yield fetch(`${aggregatorApiUrl}/quote?${qs.stringify(params)}`, {
        signal,
        headers: {
            'x-api-key': window.theDefiEngineApiKey,
        },
    }).then((response) => __awaiter(void 0, void 0, void 0, function* () {
        const data = yield response.json();
        if (response.ok) {
            return data;
        }
        throw new Error((data === null || data === void 0 ? void 0 : data.message) || 'Failed to fetch quote');
    }));
});
export const fetchPrice = (params, signal) => __awaiter(void 0, void 0, void 0, function* () {
    if (params.wrapOrUnWrap) {
        return wrapUnwrapQuote(params);
    }
    return yield fetch(`${aggregatorApiUrl}/price?${qs.stringify(params)}`, {
        signal,
        headers: {
            'x-api-key': window.theDefiEngineApiKey,
        },
    }).then((response) => __awaiter(void 0, void 0, void 0, function* () {
        const data = yield response.json();
        if (response.ok) {
            return data;
        }
        throw new Error((data === null || data === void 0 ? void 0 : data.message) || 'Failed to fetch price');
    }));
});
const wrapUnwrapQuote = (params) => {
    const amount = params.sellAmount || params.buyAmount;
    return {
        chainId: params.chainId,
        price: '1',
        guaranteedPrice: '1',
        estimatedPriceImpact: '0',
        value: amount,
        gasPrice: params.gasPrice,
        gas: '',
        estimatedGas: params.gasPrice,
        buyTokenAddress: params.buyToken,
        buyAmount: amount,
        sellTokenAddress: params.sellToken,
        sellAmount: amount,
        sellTokenToEthRate: '1',
        buyTokenToEthRate: '1',
        wrapUnwrap: params.wrapOrUnWrap,
    };
};
//# sourceMappingURL=aggregatorApi.js.map