var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { AccountBalanceWallet, Warning } from '@mui/icons-material';
import { Button, styled, Typography } from '@mui/material';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { openModal } from '../../providers/ModalContextProvider';
import { CHAINS_MAP } from '../../utils/multichain';
import { ChainLogo } from '../Logo/ChainLogo';
import { useOverrides } from '../../providers/OverrideProvider';
import { useDebounceIsNetworkNotMatched } from '../../hooks/useDebounceIsNetworkNotMatched';
const StyledTypography = styled(Typography)({ textOverflow: 'ellipsis', overflow: 'hidden', whiteSpace: 'nowrap' });
const StyledButton = styled(Button)({
    justifyContent: 'flex-start',
    paddingLeft: '12px',
    paddingRight: '12px',
    boxShadow: 'none',
});
/**
 * This component is used to display the current connected wallet and chain network
 * When clicked, it will open the connection info modal where user can view their wallet information and switch network
 */
export const ConnectionInfoButton = (_a) => {
    var _b;
    var { onlyShowChain, onlyShowAccount, chainNameMode = 'shortName' } = _a, props = __rest(_a, ["onlyShowChain", "onlyShowAccount", "chainNameMode"]);
    const overrides = useOverrides();
    const { chainId, maskedAccount, isNotMatched: actualIsNotMatched } = useActiveWeb3React();
    const isNotMatched = useDebounceIsNetworkNotMatched(actualIsNotMatched);
    return !onlyShowAccount || maskedAccount ? (_jsx(_Fragment, { children: _jsx(StyledButton, Object.assign({ className: "thedefiengine-connection-info-button", variant: "outlined", color: "secondary", startIcon: isNotMatched ? (_jsx(Warning, { color: "error" })) : onlyShowAccount ? (_jsx(AccountBalanceWallet, {})) : (_jsx(ChainLogo, { chainId: chainId })), onClick: () => {
                openModal('connectionInfo');
            } }, props, overrides === null || overrides === void 0 ? void 0 : overrides.ConnectionInfoButton, { children: _jsx(StyledTypography, { children: onlyShowAccount || (!onlyShowChain && maskedAccount) ? maskedAccount : (_b = CHAINS_MAP[chainId]) === null || _b === void 0 ? void 0 : _b[chainNameMode] }) })) })) : null;
};
//# sourceMappingURL=ConnectionInfoButton.js.map