import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { DialogActions, DialogContent, Divider, Typography } from '@mui/material';
import { ConnectionWalletInfo } from './ConnectionWalletInfo';
import { ConnectionNetworkSelector } from './ConnectionNetworkSelector';
import { ModalHeader } from '../ModalHeader';
import { version } from '../../version';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { SolanaConnectionWalletInfo } from '../SolanaConnector/SolanaConnectionWalletInfo';
import { isSolChain } from '../../utils/chainIdUtil';
export const ConnectionInfoModalModal = ({ onClose }) => {
    const { chainId } = useActiveWeb3React();
    return (_jsxs(_Fragment, { children: [_jsx(ModalHeader, { title: "Network", onClose: onClose }), _jsxs(DialogContent, { className: "thedefiengine-connect-wallet-modal", sx: { pb: 0 }, children: [isSolChain(chainId) ? _jsx(SolanaConnectionWalletInfo, {}) : _jsx(ConnectionWalletInfo, {}), _jsx("br", {}), _jsx(Divider, {}), _jsx("br", {}), _jsx(ConnectionNetworkSelector, { onClose: onClose })] }), _jsx(DialogActions, { children: _jsxs(Typography, { component: "p", variant: "caption", textAlign: "right", children: ["Version ", version] }) })] }));
};
//# sourceMappingURL=ConnectionInfoModal.js.map