import { jsx as _jsx } from "react/jsx-runtime";
import { useActiveWeb3React } from '../hooks/useActiveWeb3React';
import { ApprovalWrapper } from './ApproveWrapper';
import { isSolChain } from '../utils/chainIdUtil';
// returns a variable indicating the state of the approval and a function which approves if necessary or early returns
export const DynamicApproveWrapper = (props) => {
    const { chainId } = useActiveWeb3React();
    // TODO: does solana has approve process?
    if (isSolChain(chainId)) {
        return props.children;
    }
    return _jsx(ApprovalWrapper, Object.assign({}, props));
};
//# sourceMappingURL=DynamicApproveWrapper.js.map