import { jsx as _jsx } from "react/jsx-runtime";
import { Speed } from '@mui/icons-material';
import { IconButton, Tooltip } from '@mui/material';
import React from 'react';
import { openModal } from '../../providers/ModalContextProvider';
import { isSolChain } from '../../utils/chainIdUtil';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
export const GasConfigButton = React.memo(() => {
    const { chainId } = useActiveWeb3React();
    if (isSolChain(chainId)) {
        return null;
    }
    return (_jsx(Tooltip, { title: "Gas Configuration", children: _jsx(IconButton, { size: "small", color: "secondary", className: "thedefiengine-gas-config-button", onClick: () => openModal('gasConfig'), children: _jsx(Speed, {}) }) }));
});
//# sourceMappingURL=GasConfigButton.js.map