import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Typography, DialogContent, ToggleButtonGroup, ToggleButton, Skeleton, Stack } from '@mui/material';
import { DirectionsRun, RocketLaunch, TwoWheeler } from '@mui/icons-material';
import { ModalHeader } from '../ModalHeader';
import { useGasConfig } from '../../providers/GasConfigProvider';
import { useGasPriceV2 } from '../../hooks/useGasPriceV2';
export const GasConfigModal = ({ onClose }) => {
    const [gasConfig, setGasConfig] = useGasConfig();
    const [, gasOptions] = useGasPriceV2();
    return (_jsxs(_Fragment, { children: [_jsx(ModalHeader, { title: "Gas Configuration", onClose: onClose }), _jsxs(DialogContent, { children: [_jsx(Typography, { color: "primary", fontWeight: "bold", children: "Default transaction speed (GWEI)" }), _jsxs(Typography, { variant: "subtitle2", children: ["Adjusts the gas price (transaction fee) for your transaction. ", _jsx("br", {}), "Higher GWEI = higher speed = higher fees."] }), _jsx("br", {}), gasOptions ? (_jsxs(ToggleButtonGroup, { fullWidth: true, value: gasConfig, exclusive: true, color: "primary", onChange: (_, newConfig) => {
                            setGasConfig(newConfig);
                        }, children: [_jsx(ToggleButton, { value: "standard", fullWidth: true, children: _jsxs(Stack, { spacing: 1, direction: { xs: 'column', sm: 'row' }, alignItems: "center", children: [_jsx(DirectionsRun, {}), " ", _jsx("span", { children: "Standard" }), " ", _jsxs("span", { children: ["(", gasOptions.gwei.standard, ")"] })] }) }), _jsx(ToggleButton, { value: "fast", children: _jsxs(Stack, { spacing: 1, direction: { xs: 'column', sm: 'row' }, alignItems: "center", children: [_jsx(TwoWheeler, {}), " ", _jsx("span", { children: "Fast" }), " ", _jsxs("span", { children: ["(", gasOptions.gwei.fast, ")"] })] }) }), _jsx(ToggleButton, { value: "lightspeed", children: _jsxs(Stack, { spacing: 1, direction: { xs: 'column', sm: 'row' }, alignItems: "center", children: [_jsx(RocketLaunch, {}), " ", _jsx("span", { children: "Lightspeed" }), " ", _jsxs("span", { children: ["(", gasOptions.gwei.lightspeed, ")"] })] }) })] })) : (_jsx("div", { children: _jsx(Skeleton, {}) }))] })] }));
};
//# sourceMappingURL=GasConfigModal.js.map