import { jsx as _jsx } from "react/jsx-runtime";
import { useToken } from '../../hooks/useToken';
import React from 'react';
import { Help } from '@mui/icons-material';
export const TokenLogo = React.memo(({ address, width, height, size = 24 }) => {
    const token = useToken(address);
    if (!token)
        return null;
    if (!(token === null || token === void 0 ? void 0 : token.logoURI))
        return (_jsx(Help, { style: {
                width: width || size,
                height: height || size,
            } }));
    return (_jsx("img", { style: {
            width: width || size,
            height: height || size,
            borderRadius: '100%',
            maxWidth: width || size,
            minWidth: width || size,
        }, className: "thedefiengine-token-logo", src: token === null || token === void 0 ? void 0 : token.logoURI, alt: `token` }));
});
//# sourceMappingURL=TokenLogo.js.map