import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Close } from '@mui/icons-material';
import { DialogTitle, IconButton, Stack, styled, Typography } from '@mui/material';
import { useOverrides } from '../providers/OverrideProvider';
export const ModalHeader = ({ onClose, title, children }) => {
    const overrides = useOverrides();
    return (_jsx(StyledDialogTitle, { children: _jsxs(Stack, { direction: "row", spacing: 1, alignItems: "center", justifyContent: "space-between", children: [_jsx(Typography, Object.assign({ variant: "h5", fontWeight: "500", color: "textPrimary", flexGrow: "1", className: "thedefiengine-modal-header" }, overrides === null || overrides === void 0 ? void 0 : overrides.ModalHeader, { children: title })), children, _jsx(IconButton, { color: "secondary", size: "large", onClick: onClose, children: _jsx(Close, {}) })] }) }));
};
const StyledDialogTitle = styled(DialogTitle)(({ theme }) => ({
    paddingRight: theme.spacing(1),
    paddingBottom: theme.spacing(1),
}));
//# sourceMappingURL=ModalHeader.js.map