import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { useCurrentQuote } from '../../hooks/useCurrentQuote';
import { Box, Card, Divider, Fade, styled } from '@mui/material';
import { SWAP_CARD_MAX_WIDTH } from '../../utils/constants';
import { useOverrides } from '../../providers/OverrideProvider';
import CardTitle from '../CardTitle';
import { PriceComparisonTable } from './PriceComparisonTable';
export const PriceComparisonCard = React.memo(({ title }) => {
    var _a;
    const [quote, isLoading] = useCurrentQuote();
    const overrides = useOverrides();
    if (isLoading || !((_a = quote === null || quote === void 0 ? void 0 : quote.priceDiffList) === null || _a === void 0 ? void 0 : _a.length)) {
        return null;
    }
    return (_jsx(Fade, { in: true, children: _jsxs(StyledCard, Object.assign({ id: "thedefiengine-price-comparison-card" }, overrides === null || overrides === void 0 ? void 0 : overrides.Card, overrides === null || overrides === void 0 ? void 0 : overrides.PriceComparisonCard, { children: [title !== null && title !== void 0 ? title : ((overrides === null || overrides === void 0 ? void 0 : overrides.PriceComparisonCardTitle) && (_jsxs(Box, { pb: 1, children: [_jsx(CardTitle, { title: "Price Comparison", className: "thedefiengine-price-comparison-title", fontWeight: "bold", fontSize: null, variant: "h5", override: overrides === null || overrides === void 0 ? void 0 : overrides.PriceComparisonCardTitle }), _jsx(Divider, {})] }))), _jsx(Box, { pb: 2, px: 2, pt: (overrides === null || overrides === void 0 ? void 0 : overrides.PriceComparisonCardTitle) ? 0 : 2, children: _jsx(PriceComparisonTable, { quote: quote }) })] })) }));
});
const StyledCard = styled(Card)(({ theme }) => ({
    maxWidth: SWAP_CARD_MAX_WIDTH * 2 + 16,
    width: '100%',
    borderRadius: theme.shape.borderRadius,
    boxSizing: 'border-box',
}));
//# sourceMappingURL=PriceComparisonCard.js.map