var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { Chip, Stack, Table, TableBody, TableCell, TableHead, TableRow, Typography } from '@mui/material';
import { useToken } from '../../hooks/useToken';
import { useSwapState } from '../../providers/SwapStateProvider';
import { getBalanceAmount, getFormattedAmount } from '../../utils';
import BigNumber from 'bignumber.js';
import { TokenLogo } from '../Logo/TokenLogo';
const fontSize = {
    xs: '0.75rem',
    sm: '1rem',
};
export const PriceComparisonTable = React.memo(({ quote }) => {
    var _a;
    const [state] = useSwapState();
    const buyToken = useToken(state.buyTokenAddress);
    const sellToken = useToken(state.sellTokenAddress);
    let exactAmount;
    let exactToken;
    let otherToken;
    let otherDecimal;
    let otherAmountKey;
    let exactText;
    let otherText;
    if (state.type === 'SELL') {
        exactAmount = state.inputAmount;
        exactToken = sellToken;
        otherToken = buyToken;
        otherAmountKey = 'buyAmount';
        exactText = 'Selling';
        otherText = 'Receive';
        otherDecimal = buyToken === null || buyToken === void 0 ? void 0 : buyToken.decimals;
    }
    else {
        exactAmount = state.outputAmount;
        exactToken = buyToken;
        otherToken = sellToken;
        otherAmountKey = 'sellAmount';
        exactText = 'Buying';
        otherText = 'Spend';
        otherDecimal = sellToken === null || sellToken === void 0 ? void 0 : sellToken.decimals;
    }
    return (_jsxs(Stack, { spacing: 1, pt: 1, children: [_jsxs(Stack, { direction: "row", spacing: 0.5, alignItems: "center", children: [_jsxs(Typography, { fontWeight: "bold", children: ["When ", exactText, " ", exactAmount, " ", exactToken === null || exactToken === void 0 ? void 0 : exactToken.symbol] }), _jsx(TokenLogo, { address: exactToken === null || exactToken === void 0 ? void 0 : exactToken.address })] }), _jsxs(Table, { size: "small", padding: "none", children: [_jsx(TableHead, { children: _jsxs(TableRow, { children: [_jsx(TableCell, { children: _jsx(Typography, { fontWeight: "bold", color: "primary", variant: "body2", p: 1, children: "SOURCE" }) }), _jsx(TableCell, { children: _jsxs(Stack, { direction: "row", spacing: 0.5, alignItems: "center", p: 1, children: [_jsx(TokenLogo, { address: otherToken === null || otherToken === void 0 ? void 0 : otherToken.address }), _jsxs(Typography, { fontWeight: "bold", color: "primary", variant: "body2", children: ["YOU'LL ", otherText] })] }) }), _jsx(TableCell, { children: _jsx(Typography, { fontWeight: "bold", color: "primary", variant: "body2", p: 1, children: "DIFF" }) })] }) }), _jsxs(TableBody, { children: [_jsxs(TableRow, { children: [_jsx(TableCell, { sx: { borderBottomColor: 'primary.main' }, children: _jsx(Typography, { fontWeight: "bold", fontSize: fontSize, p: 1, children: "TheDefiEngine" }) }), _jsx(TableCell, { sx: { borderBottomColor: 'primary.main' }, children: _jsxs(Typography, { fontWeight: "bold", fontSize: fontSize, p: 1, children: [getFormattedAmount(getBalanceAmount(new BigNumber(quote === null || quote === void 0 ? void 0 : quote[otherAmountKey]), otherDecimal)), ' ', otherToken === null || otherToken === void 0 ? void 0 : otherToken.symbol] }) }), _jsx(TableCell, { sx: { borderBottomColor: 'primary.main' }, children: _jsx(PriceDiffStatusChip, { diff: 'BEST' }) })] }), (_a = quote.priceDiffList) === null || _a === void 0 ? void 0 : _a.map((_a) => {
                                var { source, diff } = _a, amounts = __rest(_a, ["source", "diff"]);
                                return (_jsxs(TableRow, { children: [_jsx(TableCell, { children: _jsx(Typography, { fontWeight: "bold", fontSize: fontSize, p: 1, children: source.replaceAll('_', ' ') }) }), _jsx(TableCell, { children: _jsxs(Typography, { fontWeight: "bold", fontSize: fontSize, p: 1, children: [getFormattedAmount(getBalanceAmount(new BigNumber(amounts[otherAmountKey]), otherDecimal)), ' ', otherToken === null || otherToken === void 0 ? void 0 : otherToken.symbol] }) }), _jsx(TableCell, { children: _jsx(PriceDiffStatusChip, { diff: diff }) })] }, source));
                            })] })] })] }));
});
const PriceDiffStatusChip = ({ diff }) => {
    const color = diff === 'BEST' ? 'primary.main' : diff === 'MATCH' ? 'text.primary' : 'error.main';
    return (_jsx(Chip, { sx: {
            borderRadius: '6px',
            borderColor: color,
            color: color,
        }, variant: "outlined", label: _jsx("b", { children: diff }), size: "small" }));
};
//# sourceMappingURL=PriceComparisonTable.js.map