import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Help } from '@mui/icons-material';
import { FormControl, InputAdornment, OutlinedInput, Stack, styled, Tooltip, Typography, Slider, } from '@mui/material';
import React from 'react';
import { NumericFormat } from 'react-number-format';
import { useSlippage } from '../providers/SlippageProvider';
import { useOverrides } from '../providers/OverrideProvider';
const quickSlippage = ['0.1', '0.5', '1.0', '3.0', '5.0', '10.0'];
export const SlippageSetting = React.memo(() => {
    const [slippage, setSlippage] = useSlippage();
    const [anchorEl, setAnchorEl] = React.useState(null);
    const open = Boolean(anchorEl);
    const handleClick = (event) => {
        setAnchorEl(event.currentTarget);
    };
    const handleClose = () => {
        setAnchorEl(null);
    };
    const handleSliderChange = (event, newValue) => {
        setSlippage(newValue);
    };
    const overrides = useOverrides();
    return (_jsxs(Stack, { children: [_jsxs(Stack, { direction: "row", alignItems: "center", className: "thedefiengine-slippage-container", children: [_jsxs(Typography, { variant: "caption", color: "textSecondary", flexGrow: "1", children: ["Slippage Tolerance", ' ', _jsx(Tooltip, { title: "Setting your slippage tolerance too high might leave you susceptible to paying more per token than you intended. We recommend that you only increase this when your transaction is not succeeding.", children: _jsx(Help, { className: "thedefiengine-svg", fontSize: "inherit", color: "inherit" }) })] }), _jsx(FormControl, { sx: { width: 80 }, children: _jsx(NumericFormat, Object.assign({ className: "thedefiengine-slippage-input", value: slippage || '', placeholder: "0.1", inputMode: "decimal", allowedDecimalSeparators: ['.', ','], valueIsNumericString: true, size: "small", allowNegative: false, allowLeadingZeros: false, onValueChange: ({ value }) => {
                                if (Number(value) > 49) {
                                    setSlippage('49');
                                }
                                else if (Number(value) < 0.1) {
                                    setSlippage('');
                                }
                                else {
                                    setSlippage(value);
                                }
                            }, margin: "none", 
                            /*startAdornment={
                              <IconButton size="small" color="inherit" onClick={handleClick}>
                                <KeyboardArrowDown />
                              </IconButton>
                            }*/
                            endAdornment: _jsx(InputAdornment, { position: "end", children: _jsx(Typography, { color: "textPrimary", children: "%" }) }), customInput: StyledInput }, overrides === null || overrides === void 0 ? void 0 : overrides.SlippageInput)) })] }), _jsx(Stack, { direction: "row", alignItems: "center", className: "thedefiengine-slippage-container", marginLeft: 1, marginRight: 1, children: _jsx(Slider, { value: typeof slippage === 'string' || typeof slippage === 'number' ? Number(slippage) : 0, "aria-label": "slippage", min: 0.1, max: 49, onChange: handleSliderChange }) })] }));
});
const StyledInput = styled(OutlinedInput)(() => ({
    '& input': {
        textAlign: 'right',
        padding: '0px 0px !important',
        border: 'none !important',
        borderRadius: '0 !important',
    },
    paddingLeft: 0,
    paddingRight: 12,
    maxWidth: 105,
}));
//# sourceMappingURL=SlippageSetting.js.map