import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Box, Button, Chip, Fade, IconButton, Skeleton, Stack, styled, Tooltip, Typography } from '@mui/material';
import { ContentCopy, AccountBalanceWallet, ExitToApp } from '@mui/icons-material';
import { useAuth } from '../../hooks/useAuth';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { BASE_SCAN_INFO, ETH, SOL_ADDR } from '../../utils/multichain';
import { WalletConnectButton } from '../WalletConnect/WalletConnectButton';
import { ScanIcon } from '../Icons';
import { useETHBalance } from '../../hooks/useWalletBalance';
import React from 'react';
import { getFormattedAmount, getFormattedCurrencyAmount } from '../../utils';
import copyToClipboard from 'copy-to-clipboard';
import { ChainId } from '../../utils/constants';
import { useJupiterPrice } from '../../hooks/useJupiterPrice';
const StyledInlineSkeleton = styled(Skeleton)({
    display: 'inline-block',
});
const StyledAccountChip = styled(Chip)({
    borderRadius: '0.5rem',
});
export const SolanaConnectionWalletInfo = React.memo(() => {
    var _a, _b, _c, _d;
    const { chainId, maskedAccount, account } = useActiveWeb3React();
    const { logout } = useAuth();
    const balance = useETHBalance();
    const ethInUSD = useJupiterPrice(SOL_ADDR, chainId);
    return (_jsx(Stack, { children: maskedAccount ? (_jsx(Fade, { in: true, children: _jsxs("div", { children: [_jsxs(Stack, { direction: "row", alignItems: "center", children: [_jsx(Tooltip, { title: account, children: _jsx(StyledAccountChip, { label: _jsx(Typography, { variant: "subtitle2", fontWeight: "bold", children: maskedAccount }), avatar: _jsx(AccountBalanceWallet, {}) }) }), _jsx(Tooltip, { title: "Copy", children: _jsx(IconButton, { size: "small", onClick: () => {
                                        try {
                                            copyToClipboard(account);
                                        }
                                        catch (ex) {
                                            console.error(ex);
                                        }
                                    }, children: _jsx(ContentCopy, { fontSize: "inherit" }) }) }), _jsx(Tooltip, { title: `View on ${(_a = BASE_SCAN_INFO[chainId]) === null || _a === void 0 ? void 0 : _a.name}`, children: _jsx(IconButton, { size: "small", component: "a", href: `${(_b = BASE_SCAN_INFO[chainId]) === null || _b === void 0 ? void 0 : _b.url}/address/${account}`, target: "_blank", children: _jsx(ScanIcon, { fontSize: "inherit" }) }) }), _jsx(Box, { flexGrow: "1" }), _jsx(Tooltip, { title: "Current wallet's network ID", children: _jsx(Chip, { size: "small", variant: "outlined", label: `Network ID: ${ChainId.Solana}` }) })] }), _jsxs(Stack, { direction: "row", flexWrap: "wrap", my: "0.5rem", justifyContent: "space-between", alignItems: "center", children: [_jsxs(Typography, { variant: "subtitle1", fontWeight: "500", children: [(_c = getFormattedAmount(balance)) !== null && _c !== void 0 ? _c : _jsx(StyledInlineSkeleton, { width: "50px" }), " ", (_d = ETH[chainId]) === null || _d === void 0 ? void 0 : _d.symbol, ' '] }), _jsxs(Typography, { variant: "caption", children: ["~", ethInUSD && balance ? (getFormattedCurrencyAmount(ethInUSD.times(balance))) : (_jsx(StyledInlineSkeleton, { width: "50px" }))] })] }), _jsx(Button, { fullWidth: true, variant: "outlined", endIcon: _jsx(ExitToApp, {}), color: "inherit", onClick: () => logout(), children: "Disconnect wallet" })] }) })) : (_jsx(WalletConnectButton, { fullWidth: true })) }));
});
//# sourceMappingURL=SolanaConnectionWalletInfo.js.map