import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React from 'react';
import { SwapRoute } from './SwapRoute';
import { useCurrentQuote } from '../../hooks/useCurrentQuote';
import { Box, Card, Divider, Fade, styled } from '@mui/material';
import { SWAP_CARD_MAX_WIDTH } from '../../utils/constants';
import { useOverrides } from '../../providers/OverrideProvider';
import CardTitle from '../CardTitle';
export const SwapRouteCard = React.memo(({ title }) => {
    var _a, _b, _c;
    const [quote, isLoading] = useCurrentQuote();
    const overrides = useOverrides();
    if (!quote || isLoading || (!((_a = quote.orderRoutes) === null || _a === void 0 ? void 0 : _a.length) && !((_c = (_b = quote.orderGraph) === null || _b === void 0 ? void 0 : _b.sources) === null || _c === void 0 ? void 0 : _c.length))) {
        return null;
    }
    return (_jsx(Fade, { in: true, children: _jsxs(StyledCard, Object.assign({ id: "thedefiengine-swap-route-card" }, overrides === null || overrides === void 0 ? void 0 : overrides.Card, overrides === null || overrides === void 0 ? void 0 : overrides.SwapRouteCard, { children: [title !== null && title !== void 0 ? title : ((overrides === null || overrides === void 0 ? void 0 : overrides.SwapRouteCardTitle) && (_jsxs(Box, { pb: 1, children: [_jsx(CardTitle, { title: "Swap Route", className: "thedefiengine-swap-route-title", override: overrides === null || overrides === void 0 ? void 0 : overrides.SwapRouteCardTitle, fontWeight: "bold", fontSize: null, variant: "h5" }), _jsx(Divider, {})] }))), _jsx(Box, { pb: 2, px: 2, pt: (overrides === null || overrides === void 0 ? void 0 : overrides.SwapRouteCardTitle) ? 0 : 2, children: _jsx(SwapRoute, { quote: quote }) })] })) }));
});
const StyledCard = styled(Card)(({ theme }) => ({
    maxWidth: SWAP_CARD_MAX_WIDTH * 2 + 16,
    width: '100%',
    borderRadius: theme.shape.borderRadius,
    boxSizing: 'border-box',
}));
//# sourceMappingURL=SwapRouteCard.js.map