import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import React, { useState } from 'react';
import { TokenInfo } from './TokenInfo';
import { Box, Card, Fade, Stack, styled, Tab, Tabs, Typography } from '@mui/material';
import { SWAP_CARD_MAX_WIDTH } from '../../utils/constants';
import { useOverrides } from '../../providers/OverrideProvider';
import { useSwapState } from '../../providers/SwapStateProvider';
import { useToken } from '../../hooks/useToken';
import TokenInfoCardSkeleton from './TokenInfoCardSkeleton';
export const TokenInfoCard = React.memo(() => {
    const overrides = useOverrides();
    const [state] = useSwapState();
    const [selected, setSelected] = useState('output');
    const inputToken = useToken(state.sellTokenAddress);
    const outputToken = useToken(state.buyTokenAddress);
    const selectedTokenType = !inputToken ? 'output' : !outputToken ? 'input' : selected;
    const selectedToken = selectedTokenType === 'input' ? inputToken : outputToken;
    return (_jsx(StyledCard, Object.assign({ id: "thedefiengine-token-info-card" }, overrides === null || overrides === void 0 ? void 0 : overrides.Card, overrides === null || overrides === void 0 ? void 0 : overrides.TokenInfoCard, { children: !inputToken && !outputToken ? (_jsx(TokenInfoCardSkeleton, {})) : (_jsx(Fade, { in: true, children: _jsxs(Stack, { display: "flex", flexDirection: "column", height: "100%", children: [_jsxs(Tabs, { value: selectedTokenType, variant: "fullWidth", onChange: (_, val) => {
                            setSelected(val);
                        }, children: [inputToken && (_jsx(Tab, { value: "input", label: _jsx(Typography, { fontWeight: "bold", variant: "h6", children: inputToken === null || inputToken === void 0 ? void 0 : inputToken.symbol }) })), outputToken && (_jsx(Tab, { value: "output", label: _jsx(Typography, { fontWeight: "bold", variant: "h6", children: outputToken === null || outputToken === void 0 ? void 0 : outputToken.symbol }) }))] }), _jsx(Box, { p: 2, flexGrow: "1", children: selectedToken && (_jsx(TokenInfo, { token: selectedToken, otherToken: selectedToken === inputToken ? outputToken : inputToken })) })] }) })) })));
});
const StyledCard = styled(Card)(({ theme }) => ({
    maxWidth: SWAP_CARD_MAX_WIDTH,
    width: '100%',
    borderRadius: theme.shape.borderRadius,
    boxSizing: 'border-box',
}));
//# sourceMappingURL=TokenInfoCard.js.map