import { jsx as _jsx } from "react/jsx-runtime";
import { PushPin, PushPinOutlined } from '@mui/icons-material';
import { IconButton } from '@mui/material';
import React from 'react';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { usePinnedTokenContext } from '../../providers/PinnedTokenProvider';
export const TokenPinnerButton = React.memo(({ address, size = 'small', color }) => {
    const [, isPinned, togglePin] = usePinnedTokenContext();
    const { chainId } = useActiveWeb3React();
    return (_jsx(IconButton, { className: "thedefiengine-token-pinner-button", color: color, size: size, onClick: (e) => {
            e.stopPropagation();
            e.preventDefault();
            togglePin(address, chainId);
        }, children: isPinned(address, chainId) ? (_jsx(PushPin, { fontSize: "inherit", color: color })) : (_jsx(PushPinOutlined, { fontSize: "inherit", color: color })) }));
});
//# sourceMappingURL=TokenPinnerButton.js.map