import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Edit, EditOutlined } from '@mui/icons-material';
import { Chip, IconButton, Skeleton, Stack, styled } from '@mui/material';
import React from 'react';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { useToken } from '../../hooks/useToken';
import { usePinnedTokenContext } from '../../providers/PinnedTokenProvider';
import { ETH } from '../../utils/multichain';
import { TokenLogo } from '../Logo/TokenLogo';
const StyledPinChip = styled(Chip)({
    margin: 3,
    fontWeight: 'bold',
    padding: 5,
    paddingRight: 0,
    height: 'auto',
});
const PinnedToken = ({ address, togglePin, chainId, canEdit, onSelect }) => {
    var _a;
    const token = useToken(address);
    return (_jsx(StyledPinChip, { size: "small", onDelete: canEdit
            ? () => {
                togglePin(address, chainId);
            }
            : undefined, onClick: () => {
            onSelect(address);
        }, icon: _jsx(TokenLogo, { address: address }), variant: "outlined", label: (_a = token === null || token === void 0 ? void 0 : token.symbol) !== null && _a !== void 0 ? _a : _jsx(Skeleton, { width: "60px" }) }));
};
export const TokenPinnerContainer = React.memo(({ onSelect }) => {
    var _a;
    // eslint-disable-next-line @typescript-eslint/no-unused-vars
    const [state, _, togglePin] = usePinnedTokenContext();
    const [canEdit, setCanEdit] = React.useState(false);
    const { chainId } = useActiveWeb3React();
    const pinnedTokenAddr = (_a = state[chainId]) !== null && _a !== void 0 ? _a : [ETH[chainId].address];
    return (_jsxs(Stack, { direction: "row", flexWrap: "wrap", children: [pinnedTokenAddr.map((addr) => (_jsx(PinnedToken, { canEdit: canEdit, address: addr, onSelect: onSelect, togglePin: togglePin, chainId: chainId }, addr))), _jsx(IconButton, { color: "secondary", onClick: () => setCanEdit(!canEdit), children: canEdit ? _jsx(Edit, {}) : _jsx(EditOutlined, {}) })] }));
});
//# sourceMappingURL=TokenPinnerContainer.js.map