import { jsx as _jsx } from "react/jsx-runtime";
import { ExpandMore } from '@mui/icons-material';
import { Button, Skeleton, styled } from '@mui/material';
import { memo } from 'react';
import { useToken } from '../../hooks/useToken';
import { closeModal, openModal } from '../../providers/ModalContextProvider';
import { TokenLogo } from '../Logo/TokenLogo';
export const TokenSelectorButton = memo((props) => {
    var _a;
    const { selectedTokenAddress, size = 'large', color = 'inherit' } = props;
    const token = useToken(selectedTokenAddress);
    return (_jsx(StyledButton, { size: size, color: color, onClick: () => {
            openModal('tokenSelector', Object.assign(Object.assign({}, props), { onSelect: (addr) => {
                    closeModal('tokenSelector');
                    props.onSelect(addr);
                } }));
        }, className: "thedefiengine-token-selector-button", startIcon: _jsx(TokenLogo, { address: selectedTokenAddress }), endIcon: _jsx(ExpandMore, { fontSize: "small" }), children: selectedTokenAddress ? (_a = token === null || token === void 0 ? void 0 : token.symbol) !== null && _a !== void 0 ? _a : _jsx(Skeleton, { width: "70px" }) : 'Select a token' }));
});
const StyledButton = styled(Button)({
    fontSize: '1.125rem',
    marginLeft: '-5px',
    '& .MuiButton-endIcon ': {
        marginLeft: 2,
    },
});
//# sourceMappingURL=TokenSelectorButton.js.map