import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import React from 'react';
import { TokenLogo } from '../Logo/TokenLogo';
import { Box, ListItemButton, ListItemText, Skeleton, Stack, styled } from '@mui/material';
import { useToken } from '../../hooks/useToken';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { useWalletBalance } from '../../hooks/useWalletBalance';
import { TokenPinnerButton } from '../TokenPinner/TokenPinnerButton';
import { getFormattedAmount } from '../../utils';
export const TokenSelectorListItemSkeleton = React.memo(() => (_jsxs(Stack, { direction: "row", width: "100%", children: [_jsx(Skeleton, { variant: "circular", width: "40px", height: "40px" }), _jsxs(Box, { ml: "1rem", flexGrow: "1", children: [_jsx(Skeleton, { width: "150px" }), _jsx(Skeleton, { width: "50px" })] }), _jsx(Skeleton, { width: "24px" })] })));
export const TokenSelectorListItem = React.memo(({ address, onSelect }) => {
    const token = useToken(address);
    const { account } = useActiveWeb3React();
    return (_jsx(StyledListButton, { disabled: !token, onClick: () => {
            onSelect(address);
        }, children: token ? (_jsxs(_Fragment, { children: [_jsx(TokenLogo, { address: token.address, size: "40px" }), _jsx(Box, { ml: "1rem" }), _jsx(ListItemText, { primary: _jsx("b", { children: token.name }), secondary: token.symbol }), token && account && _jsx(WalletBalance, { token: token }), _jsx(TokenPinnerButton, { color: "secondary", address: address })] })) : (_jsx(TokenSelectorListItemSkeleton, {})) }));
});
const StyledListButton = styled(ListItemButton)({
    paddingLeft: 24,
    paddingRight: '0.25rem',
});
const WalletBalance = React.memo(({ token }) => {
    const balance = useWalletBalance(token);
    if (!balance)
        return _jsx(Skeleton, { width: "40px" });
    return _jsx("span", { children: getFormattedAmount(balance) });
});
//# sourceMappingURL=TokenSelectorListItem.js.map