var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Clear, Search } from '@mui/icons-material';
import { DialogContent, IconButton, InputAdornment, Stack, styled, TextField } from '@mui/material';
import React from 'react';
import { ModalHeader } from '../ModalHeader';
import { TokenPinnerContainer } from '../TokenPinner/TokenPinnerContainer';
import { TokenSelectorList } from './TokenSelectorList';
const StyledDialogContent = styled(DialogContent)({
    paddingBottom: 12,
    zIndex: 100,
    minHeight: 106,
});
const StyledTextField = styled(TextField)({
    marginTop: 1,
    '& input': {
        padding: '16.5px 14px 16.5px 0px !important',
        border: 'none !important',
        borderRadius: '0 !important',
    },
});
export const TokenSelectorModal = (_a) => {
    var { onClose } = _a, props = __rest(_a, ["onClose"]);
    const [search, setSearch] = React.useState('');
    const deferredSearch = React.useDeferredValue(search);
    return (_jsxs(_Fragment, { children: [_jsx(ModalHeader, { title: "Select a token", onClose: onClose }), _jsx(StyledDialogContent, { children: _jsxs(Stack, { spacing: 1, children: [_jsx(StyledTextField, { autoFocus: true, value: search || '', onChange: (e) => {
                                setSearch(e.target.value);
                            }, InputProps: {
                                startAdornment: (_jsx(InputAdornment, { position: "start", children: _jsx(Search, {}) })),
                                endAdornment: search ? (_jsx(InputAdornment, { position: "end", children: _jsx(IconButton, { color: "secondary", onClick: () => {
                                            setSearch('');
                                        }, children: _jsx(Clear, {}) }) })) : undefined,
                            }, variant: "outlined", margin: "none", placeholder: "Search token by name or enter address" }), _jsx(TokenPinnerContainer, { onSelect: props.onSelect })] }) }), _jsx(TokenSelectorList, Object.assign({}, props, { search: deferredSearch }))] }));
};
//# sourceMappingURL=TokenSelectorModal.js.map