import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { ReceiptLong } from '@mui/icons-material';
import { IconButton, CircularProgress, Box, styled, Tooltip } from '@mui/material';
import React from 'react';
import { openModal } from '../../providers/ModalContextProvider';
import { TransactionStatus, useTransactions } from '../../providers/TransactionProvider';
export const TransactionsButton = React.memo(() => {
    const [transactions] = useTransactions();
    const anyPending = React.useMemo(() => transactions.some((t) => t.status === TransactionStatus.Pending), [transactions]);
    return (_jsxs(Box, { position: "relative", children: [anyPending && _jsx(StyledCircularProgress, { size: "34px" }), _jsx(Tooltip, { title: "View Transaction", children: _jsx(IconButton, { size: "small", color: "secondary", className: "thedefiengine-transactions-button", onClick: () => openModal('transactions'), children: _jsx(ReceiptLong, {}) }) })] }));
});
const StyledCircularProgress = styled(CircularProgress)({
    position: 'absolute',
    top: 0,
    left: 0,
});
//# sourceMappingURL=TransactionsButton.js.map