import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { CircularProgress, Stack, Typography, DialogContent, ListItem, List, Box, Button } from '@mui/material';
import { CheckCircle, Error } from '@mui/icons-material';
import { TransactionStatus, useTransactions } from '../../providers/TransactionProvider';
import { ChainLogo } from '../Logo/ChainLogo';
import { truncateHash } from '../../utils';
import { BASE_SCAN_INFO } from '../../utils/multichain';
import { openModal } from '../../providers/ModalContextProvider';
import { ModalHeader } from '../ModalHeader';
export const TransactionsModal = ({ onClose }) => {
    const [transactions, setTransactions] = useTransactions();
    return (_jsxs(_Fragment, { children: [_jsx(ModalHeader, { title: "Transactions", onClose: onClose, children: transactions.length > 0 && (_jsx(Button, { color: "secondary", variant: "contained", size: "small", onClick: () => openModal('confirm', {
                        title: 'Confirmation',
                        onConfirm: () => setTransactions([]),
                        body: _jsx(Typography, { children: "Are you sure you want to clear all transactions?" }),
                    }), children: "Clear all" })) }), !transactions.length && (_jsx(DialogContent, { children: _jsx(Typography, { children: "You don't have any transactions..." }) })), _jsx(List, { className: "thedefiengine-transactions-list", dense: true, children: transactions.map(({ txn, chainId, message, createdAt, status }) => {
                    var _a;
                    return (_jsx(ListItem, { divider: true, children: _jsxs(Stack, { direction: "row", spacing: 2, width: "100%", alignItems: "center", children: [status === TransactionStatus.Success ? (_jsx(CheckCircle, { fontSize: "large", color: "success" })) : status === TransactionStatus.Failed ? (_jsx(Error, { fontSize: "large", color: "error" })) : (_jsx(Box, { width: "35px", children: _jsx(CircularProgress, { size: "35px" }) })), _jsxs(Box, { width: "100%", children: [_jsx(Typography, { gutterBottom: true, children: message }), _jsxs(Stack, { direction: "row", justifyContent: "space-between", flexWrap: "wrap", children: [_jsxs(Typography, { component: "a", href: `${(_a = BASE_SCAN_INFO[chainId]) === null || _a === void 0 ? void 0 : _a.url}/tx/${txn}`, target: "_blank", variant: "caption", color: "textSecondary", children: ["TXN: ", truncateHash(txn, 8, 8)] }), _jsx(Typography, { variant: "caption", color: "textSecondary", children: new Date(createdAt).toLocaleString() })] })] }), _jsx(ChainLogo, { chainId: chainId, size: "36px" })] }) }, txn));
                }) })] }));
};
//# sourceMappingURL=TransactionsModal.js.map