var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsxs as _jsxs, jsx as _jsx, Fragment as _Fragment } from "react/jsx-runtime";
import { openModal } from '../../providers/ModalContextProvider';
import { Button } from '@mui/material';
import React from 'react';
import { useActiveWeb3React } from '../../hooks/useActiveWeb3React';
import { useAuth } from '../../hooks/useAuth';
import { useOverrides } from '../../providers/OverrideProvider';
import { solana } from '../../utils/multichain';
/**
 * Button component to connect wallet. Use MUI Button
 */
export const WalletConnectButton = React.memo((_a) => {
    var { allowDisconnect } = _a, props = __rest(_a, ["allowDisconnect"]);
    const { account, chainId } = useActiveWeb3React();
    const overrides = useOverrides();
    const { logout } = useAuth();
    if (account && !allowDisconnect)
        return null;
    return !account || allowDisconnect ? (_jsx(_Fragment, { children: _jsx(Button, Object.assign({ variant: "contained", color: account ? 'inherit' : 'primary' }, props, { onClick: () => account ? logout() : chainId === solana.id ? openModal('walletConnectSolana') : openModal('walletConnect') }, overrides === null || overrides === void 0 ? void 0 : overrides.WalletConnectButton, { children: _jsxs("b", { children: [account ? 'Disconnect' : 'Connect', " Wallet"] }) })) })) : null;
});
//# sourceMappingURL=WalletConnectButton.js.map