import { useQuery } from '@tanstack/react-query';
import { fetchPrice } from '../api/aggregatorApi';
const INTEVERAL = 1000 * 10; // every 10 seconds
export const useAggregatorPrice = (params, isDisabled = false) => {
    const result = useQuery(['aggregator-api', 'price', params], ({ signal }) => fetchPrice(params, signal), {
        enabled: Boolean(params && !isDisabled),
        refetchOnWindowFocus: false,
        refetchInterval: INTEVERAL,
        keepPreviousData: false,
        refetchOnMount: false,
        staleTime: INTEVERAL,
        cacheTime: INTEVERAL,
    });
    return result;
};
//# sourceMappingURL=useAggregatorPrice.js.map