import { useQuery } from '@tanstack/react-query';
import { fetchQuote } from '../api/aggregatorApi';
const INTERVAL = 1000 * 10; // every 10 seconds
export const useAggregatorQuote = (params, enabled = true) => {
    const result = useQuery(['aggregator-api', 'quote', params], ({ signal }) => fetchQuote(params, signal), {
        enabled: enabled && Boolean(params),
        refetchOnWindowFocus: false,
        refetchOnMount: false,
        refetchInterval: INTERVAL,
        keepPreviousData: false,
        staleTime: INTERVAL,
        cacheTime: INTERVAL,
    });
    return result;
};
//# sourceMappingURL=useAggregatorQuote.js.map