import React from 'react';
import { useChainConfig } from '../providers/ConfigProviders';
import { CHAINS } from '../utils/multichain';
/**
 * get list of allowed chains
 */
export const useAllowedChains = () => {
    const [{ allowedChainIds }] = useChainConfig();
    return React.useMemo(() => CHAINS.filter((c) => allowedChainIds.has(c.id)), [allowedChainIds]);
};
//# sourceMappingURL=useAllowedChains.js.map