import { Erc20, OffChainOracle, Weth } from '../abi/types';
import { ChainId } from '../utils/constants';
/**
 * get the contract that fetch price
 */
export declare const useOffChainOracleContract: () => OffChainOracle;
/**
 * Get ERC20 token contract
 * @param address The address of the token
 * @param withSignerIfPossible Whether to use a signer if possible
 */
export declare const useERC20: (address: string, withSignerIfPossible?: boolean) => Erc20;
/**
 * Get WETH token contract
 * @param address The address of the token
 * @param withSignerIfPossible Whether to use a signer if possible
 */
export declare const useWETH: (chainId: ChainId, withSignerIfPossible?: boolean) => Weth;
/**
 * Get Pair token contract
 * @param address The address of the pair contract
 * @param withSignerIfPossible Whether to use a signer if possible
 */
export declare const usePair: (address: string, withSignerIfPossible?: boolean) => any;
//# sourceMappingURL=useContract.d.ts.map