import { useSwapState } from '../providers/SwapStateProvider';
import { useAggregatorPrice } from './useAggregatorPrice';
import { useAggregatorQuoteParams } from '../providers/AggregatorQuoteParamsProvider';
/**
 * get latest quote data
 * @returns [quote, isLoading]
 */
export const useCurrentQuote = () => {
    const [state] = useSwapState();
    const quoteParams = useAggregatorQuoteParams();
    const quote = useAggregatorPrice(quoteParams, state.isConfirming);
    return [quote.data, quote.isLoading];
};
//# sourceMappingURL=useCurrentQuote.js.map