import React from 'react';
export const useDebounceIsNetworkNotMatched = (actualIsNotMatched) => {
    const [isNotMatched, setNotMatched] = React.useState(actualIsNotMatched);
    const isMatch = isNotMatched === actualIsNotMatched;
    React.useEffect(() => {
        if (!isMatch) {
            if (!actualIsNotMatched) {
                setNotMatched(false);
            }
            else {
                const timeout = setTimeout(() => {
                    setNotMatched(actualIsNotMatched);
                }, 700);
                return () => {
                    clearTimeout(timeout);
                };
            }
        }
    }, [actualIsNotMatched, isMatch, isNotMatched]);
    return isNotMatched;
};
//# sourceMappingURL=useDebounceIsNetworkNotMatched.js.map