import { useQuery } from 'wagmi';
import { CG_CHAIN_ID } from '../utils/multichain';
import { wrappedToken } from '../utils';
const useMarketChartData = (token) => {
    const wToken = wrappedToken(token);
    const { data } = useQuery(['useMarketChartData', wToken], () => fetch(`https://api.coingecko.com/api/v3/coins/${CG_CHAIN_ID[wToken.chainId]}/contract/${wToken.address}/market_chart?vs_currency=usd&days=7`).then((r) => {
        if (!r.ok) {
            return null;
        }
        return r.json();
    }), {
        refetchOnMount: false,
        refetchOnReconnect: false,
        refetchOnWindowFocus: false,
        enabled: Boolean(token),
    });
    return data;
};
export default useMarketChartData;
//# sourceMappingURL=useMarketChartData.js.map