import React from 'react';
import { EMPTY_LIST } from '../utils/constants';
import { useActiveWeb3React } from './useActiveWeb3React';
/**
 * Side effect when switch account
 * @param fn function trigger when account change
 * @param deps dependencies
 */
export const useSwitchAccountEffect = (fn, deps = EMPTY_LIST) => {
    const { account } = useActiveWeb3React();
    const prevAccountRef = React.useRef(account);
    React.useEffect(() => {
        if (prevAccountRef.current !== account) {
            fn === null || fn === void 0 ? void 0 : fn(account, prevAccountRef.current);
            prevAccountRef.current = account;
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [account, ...deps]);
};
//# sourceMappingURL=useSwitchAccountEffect.js.map