import React from 'react';
import { EMPTY_LIST } from '../utils/constants';
import { useActiveWeb3React } from './useActiveWeb3React';
/**
 * Side effect when switch network
 * @param fn function trigger when chainId change
 * @param deps dependencies
 */
export const useSwitchNetworkEffect = (fn, deps = EMPTY_LIST) => {
    const { chainId } = useActiveWeb3React();
    const prevChainIdRef = React.useRef(chainId);
    React.useEffect(() => {
        if (!chainId || !prevChainIdRef.current) {
            prevChainIdRef.current = chainId;
        }
        else if (prevChainIdRef.current && prevChainIdRef.current !== chainId) {
            prevChainIdRef.current = chainId;
            fn === null || fn === void 0 ? void 0 : fn(chainId, prevChainIdRef.current);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [chainId, ...deps]);
};
//# sourceMappingURL=useSwitchNetworkEffect.js.map