import { Token } from '../utils/token';
export interface DexInfo {
    readonly name: string;
    readonly liquidity: string;
    readonly pair: string;
}
export interface LockedDetails {
    readonly amount: string;
    readonly end_time: string;
    readonly opt_time: string;
}
export interface HolderInfo {
    readonly address: string;
    readonly tag: string;
    readonly is_contract: '0' | '1';
    readonly balance: string;
    readonly percent: string;
    readonly is_locked: '0' | '1';
    readonly locked_detail?: LockedDetails[];
}
export interface LPHolderInfo {
    readonly address: string;
    readonly tag: string;
    readonly is_contract: '0' | '1';
    readonly balance: string;
    readonly percent: string;
    readonly is_locked: '0' | '1';
    readonly locked_detail?: LockedDetails[];
}
export interface GoPlusInfo {
    readonly anti_whale_modifiable?: '0' | '1';
    readonly buy_tax?: string;
    readonly can_take_back_ownership?: '0' | '1';
    readonly cannot_buy?: '0' | '1';
    readonly cannot_sell_all?: '0' | '1';
    readonly creator_address?: string;
    readonly creator_balance?: string;
    readonly creator_percent?: string;
    readonly dex?: DexInfo[];
    readonly external_call?: '0' | '1';
    readonly gas_abuse?: '0' | '1';
    readonly hidden_owner?: '0' | '1';
    readonly holder_count?: string;
    readonly holders?: HolderInfo[];
    readonly is_airdrop_scam?: '0' | '1';
    readonly is_anti_whale?: '0' | '1';
    readonly is_blacklisted?: '0' | '1';
    readonly is_honeypot?: '0' | '1';
    readonly is_in_dex?: '0' | '1';
    readonly is_mintable?: '0' | '1';
    readonly is_open_source?: '0' | '1';
    readonly is_proxy?: '0' | '1';
    readonly is_true_token?: '0' | '1';
    readonly is_whitelisted?: '0' | '1';
    readonly lp_holder_count?: string;
    readonly lp_holders?: LPHolderInfo[];
    readonly lp_total_supply?: string;
    readonly owner_address?: string;
    readonly owner_balance?: string;
    readonly owner_change_balance?: '0' | '1';
    readonly owner_percent?: string;
    readonly personal_slippage_modifiable?: '0' | '1';
    readonly selfdestruct?: '0' | '1';
    readonly sell_tax?: '0' | '1';
    readonly slippage_modifiable?: '0' | '1';
    readonly token_name?: string;
    readonly token_symbol?: string;
    readonly total_supply?: string;
    readonly trading_cooldown?: '0' | '1';
    readonly transfer_pausable?: '0' | '1';
    readonly trust_list?: '0' | '1';
}
declare const useTokenGoPlus: (token: Token) => GoPlusInfo;
export default useTokenGoPlus;
//# sourceMappingURL=useTokenGoPlus.d.ts.map