var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { useQuery } from 'wagmi';
import { wrappedToken } from '../utils';
import { isSolChain } from '../utils/chainIdUtil';
const fetchGoPlus = (chainId, address) => __awaiter(void 0, void 0, void 0, function* () {
    return fetch(`https://api.gopluslabs.io/api/v1/token_security/${chainId}?contract_addresses=${address}`, {}).then((res) => __awaiter(void 0, void 0, void 0, function* () {
        var _a;
        if (res.ok) {
            const data = yield res.json();
            if (data === null || data === void 0 ? void 0 : data.result) {
                const dataJSON = JSON.stringify(data.result);
                const addressKey = (_a = Object.keys(data.result)) === null || _a === void 0 ? void 0 : _a[0];
                const tokenInfo = JSON.parse(dataJSON)[addressKey];
                const goPlusInfo = Object.assign({}, tokenInfo);
                return goPlusInfo;
            }
        }
        throw new Error('Failed to fetch Go+ information');
    }));
});
const useTokenGoPlus = (token) => {
    const wtoken = wrappedToken(token);
    const { data } = useQuery(['goPlus', wtoken], () => fetchGoPlus(token.chainId, wtoken.address), {
        retry: false,
        refetchOnWindowFocus: false,
        refetchOnMount: false,
        refetchOnReconnect: false,
        cacheTime: 10000000000,
        staleTime: 10000000000,
        keepPreviousData: false,
        enabled: Boolean(token && !isSolChain(token.chainId)),
    });
    return data;
};
export default useTokenGoPlus;
//# sourceMappingURL=useTokenGoPlus.js.map