import BigNumber from 'bignumber.js';
import { Token } from '../utils/token';
import { AggregatorQuote } from '../types';
export declare const useEthUsdRate: () => BigNumber;
/**
 * Get the USD price of a token
 * @param token The token to get the price of
 * @param stableToken The optional stable token to compare the price in
 * @returns The price of the token in BigNumber (decimal parsed). Returns null if empty or loading
 */
export declare const useUSDPrice: (token: Token) => BigNumber;
/**
 * Get the USD price of a token by address
 * @param address The address of the token to get the price of
 * @returns The price of the token in BigNumber (decimal parsed). Returns null if empty or loading
 */
export declare const useUSDPriceByAddress: (address?: string) => BigNumber;
export declare const useSwapDerivedUSDPrice: (tokenToEthRate?: string) => BigNumber;
export declare const useInputOutputUsdPrice: (priceQuote: AggregatorQuote, formattedInputAmount: string, formattedOutputAmount: string) => BigNumber[];
//# sourceMappingURL=useUSDPrice.d.ts.map