import BigNumber from 'bignumber.js';
import { Token } from '../utils/token';
/**
 * Get the wallet balance of a token
 * @param token The token to get the balance of
 * @returns The balance of the token in BigNumber (decimal parsed). Returns null if empty or loading
 */
export declare const useWalletBalance: (token: Token) => BigNumber;
/**
 * This get the balance of all the tokens in the wallet
 */
export declare const useAllSolTokenBalance: () => Record<string, BigNumber> | undefined;
/**
 * Get the wallet balance of a token
 * @param tokenAddress The token address to get the balance of
 * @returns The balance of the token in BigNumber (decimal parsed). Returns null if empty or loading
 */
export declare const useWalletBalanceByAddress: (tokenAddress: string) => BigNumber;
/**
 * Get the wallet balance of the ETH token
 * @returns The balance of ETH in BigNumber (decimal parsed). Returns null if empty or loading
 */
export declare const useETHBalance: () => BigNumber;
//# sourceMappingURL=useWalletBalance.d.ts.map