import React from 'react';
export declare const defaultTheme: ThemeConfig;
export declare const CustomThemeProvider: ({ enableDarkMode, primaryColor, primaryColorDark, secondaryColor, secondaryColorDark, primaryTextColor, primaryTextColorDark, secondaryTextColorDark, secondaryTextColor, fontFamily, borderRadius, fontSize, backgroundColor, cardBackgroundColor, backgroundColorDark, cardBackgroundColorDark, disableThemeProvider, children, }: ThemeConfig) => string | number | boolean | Iterable<React.ReactNode> | import("react/jsx-runtime").JSX.Element;
export type ThemeConfig = React.PropsWithChildren<{
    /**
     * Primary color
     */
    primaryColor?: string;
    primaryColorDark?: string;
    /**
     * Secondary color
     */
    secondaryColor?: string;
    secondaryColorDark?: string;
    /**
     * Primary color for text
     */
    primaryTextColor?: string;
    primaryTextColorDark?: string;
    /**
     * Secondary color for text
     */
    secondaryTextColor?: string;
    secondaryTextColorDark?: string;
    /**
     * Background color
     */
    backgroundColor?: string;
    backgroundColorDark?: string;
    /**
     * Card background color
     */
    cardBackgroundColor?: string;
    cardBackgroundColorDark?: string;
    /**
     * Border radius
     * @default 10
     */
    borderRadius?: string | number;
    /**
     * Font size
     * @default 14
     *
     */
    fontSize?: string | number;
    /**
     * Font family
     * @default "Roboto, Helvetica, Arial, sans-serif"
     */
    fontFamily?: string;
    /**
     * Whether to use dark mode or not
     */
    enableDarkMode?: boolean;
    /**
     * Whether to disable whitelabel's internal theme provider. Useful if you want to use your own mui theme provider
     */
    disableThemeProvider?: boolean;
}>;
//# sourceMappingURL=CustomThemeProvider.d.ts.map