import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { Button } from '@mui/material';
import { Component } from 'react';
class ErrorBoundary extends Component {
    constructor() {
        super(...arguments);
        this.state = {
            hasError: false,
        };
    }
    static getDerivedStateFromError(_) {
        // Update state so the next render will show the fallback UI.
        return { hasError: true };
    }
    componentDidCatch(error, errorInfo) {
        console.error('Uncaught error:', error, errorInfo);
    }
    render() {
        if (this.state.hasError && !this.props.disabled) {
            return (_jsx(_Fragment, { children: _jsxs(Button, { color: "error", onClick: () => {
                        this.setState({ hasError: false });
                    }, sx: { textTransform: 'capitalize', maxWidth: '420px', width: '100%', minHeight: '420px' }, children: ["Oops.. there was an error. ", _jsx("br", {}), "Click me to reload"] }) }));
        }
        return this.props.children;
    }
}
export default ErrorBoundary;
//# sourceMappingURL=ErrorBoundary.js.map