/// <reference types="react" />
export declare const useModal: <T extends Partial<import("@catconsult/simplify-modal-control").DefaultModalProps>>(ModalContent: import("react").ComponentType<T>, options?: {
    defaultProps?: Exclude<keyof T, "onClose"> extends infer T_1 extends keyof T ? { [P in T_1]: T[P]; } : never;
    modalProps?: Partial<import("@mui/material").DialogProps>;
    customValues?: unknown;
}) => import("@catconsult/simplify-modal-control").UseModalReturnType<T, import("@mui/material").DialogProps>, useModalContextSelector: <K_1 extends "walletConnect" | "walletConnectSolana" | "connectionInfo" | "tokenSelector" | "confirmSwap" | "transactions" | "swapRoute" | "confirm" | "goPlus" | "gasConfig">(key: K_1) => {
    walletConnect: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    walletConnectSolana: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    connectionInfo: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    tokenSelector: [(newProps?: {
        onSelect: (address: string) => void;
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        selectedTokenAddress?: string;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    confirmSwap: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    transactions: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    swapRoute: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        quote: import("..").AggregatorQuote;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    confirm: [(newProps?: {
        body: import("react").ReactNode;
        title: import("react").ReactNode;
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        onConfirm: () => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    goPlus: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        goPlusInfo: import("../hooks/useTokenGoPlus").GoPlusInfo;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    gasConfig: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
}[K_1], useModalContext: () => {
    walletConnect: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    walletConnectSolana: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    connectionInfo: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    tokenSelector: [(newProps?: {
        onSelect: (address: string) => void;
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        selectedTokenAddress?: string;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    confirmSwap: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    transactions: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    swapRoute: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        quote: import("..").AggregatorQuote;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    confirm: [(newProps?: {
        body: import("react").ReactNode;
        title: import("react").ReactNode;
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        onConfirm: () => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    goPlus: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        goPlusInfo: import("../hooks/useTokenGoPlus").GoPlusInfo;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    gasConfig: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
}, ModalContextProvider: import("react").FC<{
    children: import("react").ReactNode;
}>, openModal: <K_2 extends "walletConnect" | "walletConnectSolana" | "connectionInfo" | "tokenSelector" | "confirmSwap" | "transactions" | "swapRoute" | "confirm" | "goPlus" | "gasConfig">(key: K_2, newProps?: Parameters<{
    walletConnect: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    walletConnectSolana: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    connectionInfo: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    tokenSelector: [(newProps?: {
        onSelect: (address: string) => void;
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        selectedTokenAddress?: string;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    confirmSwap: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    transactions: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    swapRoute: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        quote: import("..").AggregatorQuote;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    confirm: [(newProps?: {
        body: import("react").ReactNode;
        title: import("react").ReactNode;
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        onConfirm: () => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    goPlus: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
        goPlusInfo: import("../hooks/useTokenGoPlus").GoPlusInfo;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
    gasConfig: [(newProps?: {
        open?: boolean;
        setModalProps?: (modalProps: any) => void;
    }, newModalProps?: Partial<import("@mui/material").DialogProps>) => void, () => void];
}[K_2][0]>[0], newModalProps?: Partial<import("@mui/material").DialogProps>) => void, closeModal: <K_3 extends "walletConnect" | "walletConnectSolana" | "connectionInfo" | "tokenSelector" | "confirmSwap" | "transactions" | "swapRoute" | "confirm" | "goPlus" | "gasConfig">(key: K_3) => void;
//# sourceMappingURL=ModalContextProvider.d.ts.map