import { Dialog } from '@mui/material';
import { ConnectionInfoModalModal } from '../components/ConnectionInfo/ConnectionInfoModal';
import { TokenSelectorModal } from '../components/TokenSelector/TokenSelectorModal';
import { WalletConnectModal } from '../components/WalletConnect/WalletConnectModal';
import { SwapConfirmModal } from '../components/Swap/SwapConfirmModal';
import makeModalControlSimpler from '@catconsult/simplify-modal-control';
import { TransactionsModal } from '../components/Transactions/TransactionsModal';
import { ConfirmModal } from '../components/ConfirmModal';
import { WalletConnectSolanaModal } from '../components/SolanaConnector/WalletConnectSolanaModal';
import { SwapRouteModal } from '../components/SwapRoute/SwapRouteModal';
import GoPlusModal from '../components/TokenInfo/GoPlusModal';
import { GasConfigModal } from '../components/GasConfig/GasConfigModal';
export const { useModal, useModalContextSelector, useModalContext, ModalContextProvider, openModal, closeModal } = makeModalControlSimpler({
    ModalWrapper: Dialog,
    mapModalProps: ({ open, handleClose }, modalProps) => (Object.assign(Object.assign({ fullWidth: true }, modalProps), { open, onClose: handleClose })),
    useContextModals: (useModal) => ({
        walletConnect: useModal(WalletConnectModal, { modalProps: { maxWidth: 'xs' } }),
        walletConnectSolana: useModal(WalletConnectSolanaModal, { modalProps: { maxWidth: 'xs' } }),
        connectionInfo: useModal(ConnectionInfoModalModal, { modalProps: { maxWidth: 'xs' } }),
        tokenSelector: useModal(TokenSelectorModal, { modalProps: { maxWidth: 'xs' } }),
        confirmSwap: useModal(SwapConfirmModal, { modalProps: { maxWidth: 'xs' } }),
        transactions: useModal(TransactionsModal, { modalProps: { maxWidth: 'md' } }),
        swapRoute: useModal(SwapRouteModal, { modalProps: { maxWidth: 'md' } }),
        confirm: useModal(ConfirmModal, { modalProps: { maxWidth: 'xs' } }),
        goPlus: useModal(GoPlusModal, { modalProps: { maxWidth: 'sm' } }),
        gasConfig: useModal(GasConfigModal, { modalProps: { maxWidth: 'sm' } }),
    }),
});
//# sourceMappingURL=ModalContextProvider.js.map