var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
const OverridesContext = React.createContext(null);
/**
 * Override colors and other component props (e.g. make wallet connect button bigger or change color). Can be used side by side with theme options
 */
export const OverrideProvider = (_a) => {
    var { children } = _a, overridesOptions = __rest(_a, ["children"]);
    const [overrides, setOverrides] = React.useState(overridesOptions);
    React.useEffect(() => {
        if (overrides !== overridesOptions &&
            // deep compare
            JSON.stringify(overrides) !== JSON.stringify(overridesOptions)) {
            setOverrides(overridesOptions);
        }
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, [overridesOptions]);
    return _jsx(OverridesContext.Provider, { value: overrides, children: children });
};
export const useOverrides = () => React.useContext(OverridesContext);
//# sourceMappingURL=OverrideProvider.js.map