import React from 'react';
export interface PinnedTokenProviderProps {
    /**
     * Provide a list of tokens that should be pinned by default in token selectors. By default it will pin native tokens
     * @example
     * ```
     * {
     *  1: ["someTokenAddress"],
     *  56: ["someTokenAddress"]
     * }
     * ```
     */
    defaultPinnedTokens?: PinnedTokenState;
}
export interface PinnedTokenState {
    [chainId: number]: string[];
}
export type PinnedContextValue = [
    PinnedTokenState,
    (address: string, chainId: number) => boolean,
    (address: string, chainId: number) => void
];
export declare const pinnedTokenStorageKey = "thedefiengine-pinned-tokens";
export declare const PinnedTokenProvider: ({ children, defaultPinnedTokens, }: React.PropsWithChildren<PinnedTokenProviderProps>) => import("react/jsx-runtime").JSX.Element;
export declare const usePinnedTokenContext: () => [] | PinnedContextValue;
//# sourceMappingURL=PinnedTokenProvider.d.ts.map