import { jsx as _jsx } from "react/jsx-runtime";
import React from 'react';
import { useConfig } from './ConfigProviders';
const SlippageProviderContext = React.createContext(null);
export const slippageProviderStorageKey = `thedefiengine-slippage`;
export const SlippageProvider = ({ children }) => {
    var _a;
    const [config] = useConfig();
    const [slippage, setSlippage] = React.useState(String((_a = config === null || config === void 0 ? void 0 : config.defaultSlippage) !== null && _a !== void 0 ? _a : '0.5'));
    React.useEffect(() => {
        const storedItemJson = localStorage.getItem(slippageProviderStorageKey);
        try {
            if (storedItemJson) {
                const storedItem = JSON.parse(storedItemJson);
                if (storedItem) {
                    setSlippage(storedItem);
                    return;
                }
            }
        }
        catch (_a) {
            localStorage.removeItem(slippageProviderStorageKey);
        }
    }, []);
    const contextVal = React.useMemo(() => [
        slippage,
        (newSlippage) => {
            if (!isNaN(Number(newSlippage))) {
                localStorage.setItem(slippageProviderStorageKey, JSON.stringify(newSlippage));
                setSlippage(newSlippage);
            }
        },
    ], [slippage]);
    return _jsx(SlippageProviderContext.Provider, { value: contextVal, children: children });
};
export const useSlippage = () => React.useContext(SlippageProviderContext);
//# sourceMappingURL=SlippageProvider.js.map