import { jsx as _jsx } from "react/jsx-runtime";
import { WalletAdapterNetwork } from '@solana/wallet-adapter-base';
import { ConnectionProvider, WalletProvider } from '@solana/wallet-adapter-react';
import { SolflareWalletAdapter, PhantomWalletAdapter, SafePalWalletAdapter, WalletConnectWalletAdapter, TrustWalletAdapter, } from '@solana/wallet-adapter-wallets';
import { w3mProjectId } from '../wagmiUtil';
const network = WalletAdapterNetwork.Mainnet;
const endpoint = 'https://red-serene-frog.solana-mainnet.quiknode.pro/2f216ac4a23c88dc69c3692824085d8f8a9a9e9e/';
export const solConnectionPools = [
    endpoint,
    'https://grateful-jerrie-fast-mainnet.helius-rpc.com/',
    'https://jupiter-fe.helius-rpc.com/',
];
const wallets = [
    new PhantomWalletAdapter(),
    new SolflareWalletAdapter(),
    new WalletConnectWalletAdapter({
        network,
        options: {
            projectId: w3mProjectId,
        },
    }),
    new TrustWalletAdapter(),
    new SafePalWalletAdapter(),
];
export const SolanaProvider = ({ children }) => {
    return (_jsx(ConnectionProvider, { endpoint: endpoint, children: _jsx(WalletProvider, { wallets: wallets, children: children }) }));
};
//# sourceMappingURL=SolanaProvider.js.map