import React from 'react';
import { AggregatorQuote } from '../types';
import { ChainId } from '../utils/constants';
import { Token } from '../utils/token';
export declare enum TransactionStatus {
    Pending = "Pending",
    Success = "Success",
    Failed = "Failed"
}
export type Transaction = {
    status: TransactionStatus;
    txn: string;
    account: string;
    quote?: AggregatorQuote;
    message: string;
    inputToken?: Token;
    outputToken?: Token;
    chainId: ChainId;
    createdAt: Date;
    errorMessage?: string;
};
export declare const transactionProviderStorageKey = "thedefiengine-transactions";
export declare const TransactionProvider: ({ children }: React.PropsWithChildren) => import("react/jsx-runtime").JSX.Element;
export declare const useTransactions: () => [Transaction[], React.Dispatch<React.SetStateAction<Transaction[]>>];
export declare const useUpsertTransaction: () => (trans: Transaction) => void;
//# sourceMappingURL=TransactionProvider.d.ts.map