export function parseGoPlusResult(param) {
    switch (param) {
        case '0': {
            return `No ✅`;
        }
        case '1': {
            return `Yes ⚠️`;
        }
        case undefined: {
            return `Unknown`;
        }
        default: {
            return `Unknown`;
        }
    }
}
export function parseGoPlusResultOther(param) {
    switch (param) {
        case '1': {
            return `Yes ✅`;
        }
        case '0': {
            return `No ⚠️`;
        }
        case undefined: {
            return `Unknown`;
        }
        default: {
            return `Unknown`;
        }
    }
}
export function getGoPlusScoring(result) {
    const { anti_whale_modifiable, cannot_buy, cannot_sell_all, hidden_owner, is_anti_whale, is_blacklisted, is_honeypot, is_mintable, is_open_source, is_proxy, is_whitelisted, owner_change_balance, personal_slippage_modifiable, slippage_modifiable, trading_cooldown, transfer_pausable, } = result;
    const goPlusScoreDataYes = {
        anti_whale_modifiable,
        cannot_buy,
        cannot_sell_all,
        hidden_owner,
        is_anti_whale,
        is_blacklisted,
        is_honeypot,
        is_mintable,
        is_proxy,
        is_whitelisted,
        owner_change_balance,
        personal_slippage_modifiable,
        slippage_modifiable,
        trading_cooldown,
        transfer_pausable,
    };
    const goPlusScoreDataNo = {
        is_open_source,
    };
    const yesKeys = Object.keys(goPlusScoreDataYes);
    const noKeys = Object.keys(goPlusScoreDataNo);
    const count = [...yesKeys, ...noKeys].reduce((acc, key) => {
        const value = goPlusScoreDataYes[key] || goPlusScoreDataNo[key];
        if (Object.prototype.hasOwnProperty.call(goPlusScoreDataYes, key) && value === '1') {
            return acc + 1;
        }
        else if (Object.prototype.hasOwnProperty.call(goPlusScoreDataNo, key) && value === '0') {
            return acc + 1;
        }
        return acc;
    }, 0);
    if (count === 1) {
        return `${count} Issue ⚠️`;
    }
    else if (count > 1) {
        return `${count} Issues ⚠️`;
    }
    else {
        return `No Issues ✅`;
    }
}
//# sourceMappingURL=goPlusUtils.js.map