var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { quoteUrl } from './constants';
export const postQuote = (quote) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        console.info(`Quote post: `, quote);
        yield fetch(quoteUrl, {
            body: Buffer.from(JSON.stringify(quote)).toString('base64'),
            method: 'POST',
            headers: {
                'x-api-key': window.theDefiEngineApiKey,
            },
        });
        console.info(`Quote post back successfully: `, quote);
    }
    catch (ex) {
        console.error(`Quote post failed: `, quote);
        console.error(ex);
    }
});
//# sourceMappingURL=postQuote.js.map