var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { transactionUrl } from './constants';
export const postTransaction = (transaction) => __awaiter(void 0, void 0, void 0, function* () {
    try {
        console.info(`Transaction post: `, transaction);
        yield fetch(transactionUrl, {
            body: Buffer.from(JSON.stringify(transaction)).toString('base64'),
            method: 'POST',
            headers: {
                'x-api-key': window.theDefiEngineApiKey,
            },
        });
        console.info(`Transaction post back successfully: `, transaction);
    }
    catch (ex) {
        console.error(`Transaction post failed: `, transaction);
        console.error(ex);
    }
});
//# sourceMappingURL=postTransaction.js.map