var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { jsx as _jsx } from "react/jsx-runtime";
import { createContext, useContext } from 'react';
import { useAccount, WagmiConfig, useNetwork } from 'wagmi';
import { Web3Provider } from '@ethersproject/providers';
import { useQuery } from '@tanstack/react-query';
export function WagmiProvider(props) {
    return (_jsx(WagmiConfig, { client: props.client, children: _jsx(Web3LibraryProvider, { children: props.children }) }));
}
const Web3LibraryContext = createContext(undefined);
export const useWeb3LibraryContext = () => {
    return useContext(Web3LibraryContext);
};
const Web3LibraryProvider = (props) => {
    const { connector } = useAccount();
    const { chain } = useNetwork();
    const { data: library } = useQuery(['web3-library', connector === null || connector === void 0 ? void 0 : connector.id, chain === null || chain === void 0 ? void 0 : chain.id], () => __awaiter(void 0, void 0, void 0, function* () {
        const provider = yield (connector === null || connector === void 0 ? void 0 : connector.getProvider());
        return new Web3Provider(provider);
    }), {
        enabled: Boolean(connector),
        refetchOnMount: false,
        refetchOnReconnect: false,
    });
    return _jsx(Web3LibraryContext.Provider, { value: library, children: props.children });
};
//# sourceMappingURL=provider.js.map